2007-11-28  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.9 (Goj-Dò) released.-A

2006-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-def.el (mime-library-product): Update to 1.14.9.

2007-06-18  Wencheng Fang  <wencheng.fang@spherenet.co.jp>

	* mel.el (mime-write-decoded-region): Define method function that
	uses built-in base64-decode-region.  [cf. <emacs-mime-ja:02169>]

2006-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* README.ja, README.en (Installation): Update required version of
	APEL to 10.7 or later.

	* FLIM-CFG (PACKAGEDIR): Use
	`install-get-default-package-directory'.

2006-12-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* FLIM-CFG (PACKAGEDIR): Avoid an error with Emacs.

2006-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* FLIM-MK (compile-flim-package): Use
	batch-update-directory-autoloads if it is available instead of
	batch-update-directory.

2006-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* FLIM-CFG (PACKAGEDIR): Check for
	(early|late|last)-package-hierarchies and configure-package-path
	as well as (early|late|last)-packages.

2006-09-24  Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-progress-message-format): Abolished; reverted the
	change 2004-08-11  Katsumi Yamaoka  <yamaoka@jpl.org>.

2006-09-24  Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-end-of-line): Abolished; reverted the change
	2002-07-24 Katsumi Yamaoka <yamaoka@jpl.org>.

2006-06-15  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* smtp.el (smtp-submit-package): Ignore error in
	`smtp-primitive-quit' where SMTP mail transaction is completed.

2006-06-12  Hiroya Murata  <lapis-lazuli@pop06.odn.ne.jp>

	* mel-b-ccl.el (base64-ccl-insert-encoded-file): Use
	`insert-file-contents-as-binary' instead of `insert-file-contents'.

	* mel-q-ccl.el (quoted-printable-ccl-insert-encoded-file):
	Likewise.

2006-02-18  Hiroya Murata  <lapis-lazuli@pop06.odn.ne.jp>

	* smtp.el (smtp-debug): New user option.
	(smtp-read-response): Treat a line break code loosely.  If
	smtp-debug is non-nil, show an invalid response.

2005-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* eword-decode.el: Change the way to decode successive
	encoded-words: decode B- or Q-encoding in each encoded-word,
	concatenate them, and decode it as charset.  See the following
	threads for more information:
	http://news.gmane.org/group/gmane.emacs.pretest.bugs/thread=9541
	http://news.gmane.org/group/gmane.emacs.gnus.general/thread=61176
	(eword-decode-allow-incomplete-encoded-text): New variable.
	(eword-decode-encoded-words): New function.
	(eword-decode-string): Use it.
	(eword-decode-region): Use it.
	(eword-analyze-encoded-word): Use it.
	(eword-decode-encoded-word): Abolish.
	(eword-decode-encoded-text): Abolish.
	(eword-decode-encoded-word-error-handler): Abolish.
	(eword-warning-face): Abolish.
	(eword-decode-encoded-word-default-error-handler): Abolish.


2005-12-25  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.8 (Shij-Dò) released.-A

2005-12-25  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-def.el (mime-library-product): Update to 1.14.8.

2005-11-13  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* std11.el (std11-addr-to-string): Reconstruct domain literal.
	From Yuuichi Teranishi [cf. <emacs-mime-ja:01956>]

2005-07-25  Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-read-response): Signal an error if connection is
	closed while reading response.  From Hiroya Murata
	<lapis-lazuli@pop06.odn.ne.jp> [cf. <emacs-mime-ja:01978>]

2004-11-20  Daiki Ueno  <ueno@unixuser.org>

	* ntlm.el (ntlm-ascii2unicode): Don't apply zerop to a character.
	(ntlm-smb-hash): Ditto.


2004-10-01  MORIOKA Tomohiko  <tomo@mousai.as.wakwak.ne.jp>

	* FLIM: Version 1.14.7 (Sanj-Dò) released.-A

2004-10-01  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-def.el (mime-library-product): Update to 1.14.7.

2004-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-en.sgml, mime-ja.sgml (CVS based development): Remove the
	description about developers' pserver access.

2004-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sha1-dl.el: Don't provide the sha1-dl feature twice.
	(sha1-region): Allow the optional argument `binary'.
	(sha1): Ditto.

2004-08-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* smtp.el (smtp-parse-progress-message-format): Fix regexp usage.

2004-08-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* smtp.el (smtp-progress-message-format): New user option.
	(smtp-primitive-data): Show progress message.
	(smtp-parse-progress-message-format): New function.
	(smtp-show-progress-message): New function.
	(smtp-deduce-address-list): Use insert instead of insert-string.

2004-07-27  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* mel-g.el (gzip64-external-encoder): Change default value to
	cause more recognizable error.
	(gzip64-external-decoder): Ditto.

2004-06-09  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* std11.el (std11-parse-word-or-comment-or-period): Renamed from
	`std11-parse-word-or-comment' and allow period.
	(std11-parse-phrase): Allow parsing obs-phrase in rfc2822.

2004-05-24  Len Trigg  <lenbok@myrealbox.com>

	* mime-conf.el (mime-format-mailcap-command): Quote a file name
	which may contain spaces using `shell-quote-argument' in order to
	pass it to the shell safely.

2004-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* eword-encode.el (mime-encode-header-in-buffer): Don't ignore a
	space char at the beginning of a field body in order to honor the
	76-column rule which is described in RFC 2047 section 2.

2004-04-15  MORIOKA Tomohiko  <tomo@m17n.org>

	* eword-decode.el (eword-decode-encoded-text): Fix bug when
	`must-unfold' is specified; eliminate CR too when `must-unfold' is
	specified.

2004-04-13  Kenichi Okada  <okada@opaopa.org>

	* mel-u.el (mime-write-decoded-region): Use make-temp-file.
	(uuencode-external-decode-region): Ditto.

2004-04-12  Kenichi Okada  <okada@opaopa.org>

	* mel-u.el (mime-write-decoded-region): Use temporary filename.

2004-03-05  Jesper Harder  <harder@ifa.au.dk>

	* sha1-el.el (sha1-maximum-internal-length): Doc fix.

2004-02-23  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* lunit.el (lunit-make-test-suite-from-class): Fix regexp.
	Use "^test" instead of "^test-".

2004-02-19  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* lunit.el (lunit-assert): Avoid double-eval `condtion-expr'.
	Use ,(not (not condition)) instead of ,condition.

2004-02-18  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* lunit.el (lunit-make-test-suite-from-class): Restrict test
	method name to test-*.

2004-02-17  Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-starttls-program): New user option.
	(smtp-starttls-extra-args): New user option.
	(smtp-send-buffer): Bind starttls-program and starttls-extra-args.

2004-01-27  Yuuichi Teranishi  <teranisi@gohome.org>

	* mel-q.el (quoted-printable-external-decoder-option-to-specify-file): 
	Accept nil.
	(mime-write-decoded-region): If the value of the variable
	`quoted-printable-external-decoder-option-to-specify-file' is nil,
	write stdout to the output file.

	* mel-b-el.el (base64-external-decoder-option-to-specify-file): 
	Accept nil.
	(base64-write-decoded-region): If the value of the variable
	`base64-external-decoder-option-to-specify-file' is nil, write
	stdout to the output file.

2004-01-12  Daiki Ueno  <ueno@unixuser.org>

	* sasl.texi: Texinfo markup fixes.  From Jesper Harder
	<harder@ifa.au.dk>.

2004-01-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sha1-el.el (sha1-string-external): Use with-temp-buffer.

2004-01-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* sha1-el.el (sha1-string-external): Make it can return a string
	in binary form.
	(sha1-region-external): Ditto.
	(sha1-string-internal): Ditto.
	(sha1-region-internal): Ditto.
	(sha1-region): Ditto.
	(sha1-string): Ditto.
	(sha1): Ditto.

2003-12-16  Simon Josefsson  <jas@extundo.com>

	* sha1-el.el (autoload): Don't use ignore-errors.
	(sha1-use-external): Use condition-case.  Suggested by Katsumi
	Yamaoka <yamaoka@jpl.org>.

2003-12-15  Simon Josefsson  <jas@extundo.com>

	* sha1-el.el (autoload): Ignore errors for
	executable-find. (XEmacs ecrypto does not require sh-script where
	executable.el is located.)
	(sha1-use-external): Likewise.

	* sha1-el.el (sha1): Add defgroup.
	(sha1-maximum-internal-length, sha1-program, sha1-use-external)
	(sha1-program): Use 'sha1sum' from GNU CoreUtils instead of OpenSSL.
	(sha1): Autoload.

2001-12-29  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* sha1-el.el (sha1-use-external): New variable.
	(sha1-region): Use it.
	(sha1-string): Ditto.

2004-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* ntlm.el (ntlm-string-as-unibyte): New macro.
	(ntlm-build-auth-response): Use it.

2004-01-05  Simon Josefsson  <jas@extundo.com>

	* ntlm.el: Fix namespace.  Change smb-passwd-hash into
	ntlm-smb-passwd-hash, smb-owf-encrypt into ntlm-smb-owf-encrypt,
	smb-passwd-hash into ntlm-smb-passwd-hash, smbdes-e-p16 into
	ntlm-smb-des-e-p16, smbdes-e-p24 into ntlm-smb-des-e-p24, smbhash
	into ntlm-smb-hash, smb-sp8 into ntlm-smb-sp8, smb-str-to-key into
	ntlm-smb-str-to-key, smb-dohash into ntlm-smb-dohash, smb-perm1
	into ntlm-smb-perm1, smb-perm2 into ntlm-smb-perm2, smb-perm3 into
	ntlm-smb-perm3, smb-perm4 into ntlm-smb-perm4, smb-perm5 into
	ntlm-smb-perm5, smb-perm6 into ntlm-smb-perm6, smb-sc into
	ntlm-smb-sc, smb-sbox into ntlm-smb-sbox, string-permute into
	ntlm-string-permute, string-lshift into ntlm-string-lshift,
	string-xor into ntlm-string-xor.  Suggested by
	Jesper Harder <harder@myrealbox.com>.

	* ntlm.el: Don't include poem.

	* md4.el (print-int32, print-string-hexa): Remove.  Suggested by
	Jesper Harder <harder@myrealbox.com>.


2003-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.6 (Marutamachi) released.

2003-12-14  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-def.el (mime-header-accept-quoted-encoded-words): Change
	default value to nil.

2003-03-10  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-decode.el (eword-analyze-quoted-string): Decode
	quoted-encoded-words when
	`mime-header-accept-quoted-encoded-words' is not nil.

	* mime.el (mime-entity-filename): Decode quoted-encoded-words when
	`mime-header-accept-quoted-encoded-words' is not nil.

	* mime-def.el (mime-header-accept-quoted-encoded-words): New user
	option.

2003-12-14  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

	* eword-encode.el (mime-header-charset-encoding-alist): Add
	entry for iso-8859-1[45].

2003-11-13  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* FLIM-ELS (flim-modules): Install mel-b-el also for
	mel-b-builtin case. (from Tatsuya Kinoshita)

2003-09-18  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* FLIM-ELS (flim-modules): Don't install smtpmail.

2003-04-30  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* std11.el (std11-field-end): Return end of field correctly
	even in case of existence of invisible header.

2003-02-05  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* eword-encode.el (mime-encode-header-in-buffer):
	Do not eliminate white spaces.

2002-11-05  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-encode.el (tm-eword::words-to-ruled-words): New
	implementation for UTF-2000 implementations.


2002-12-27  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.5 (Demachiyanagi) released.

2002-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* smtp.el (smtp-send-buffer): Error if `smtp-server' is nil.

2002-11-15  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* FLIM-ELS (flim-version-specific-modules): Don't install mailcap.el.
	* FLIM-MK (install-flim): Avoid creating empty directory.

2002-11-06  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* mime-parse.el (mime-parse-buffer): Require mmbuffer.

2002-09-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* luna.el (luna-define-method): Clear method cache of child
	classes.

2002-09-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-ja.texi (CVS): Escape @.

	* luna.el (luna-define-method): Fix the bug that method cache is
	not cleard.

2002-09-14  KOSEKI Yoshinori  <kose@meadowy.org>

	* mime-en.texi (CVS): Fix Typo. (@ to @@).
	mime-ja.texi (CVS): Ditto.

2002-08-26  MORIOKA Tomohiko  <tomo@mousai.as.wakwak.ne.jp>

	* std11.el: Update Copyright header.

2002-07-30  MORIOKA Tomohiko  <tomo@mousai.as.wakwak.ne.jp>

	* std11.el (std11-non-atom-regexp): New constant.
	(std11-analyze-atom): New implementation to avoid error in current
	XEmacs UTF-2000 [may be caused by a bug about regexp].

2002-07-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtp.el (smtp-open-connection-function): Add doc.
	(smtp-end-of-line): Doc fix.

2002-07-24  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtp.el (smtp-end-of-line): New variable.
	(smtp-read-response): Use it.
	(smtp-send-command): Use it.
	(smtp-send-data): Use it.


2002-06-03  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.4 (Kashiharajing-Dþ-mae) released.-A

2002-01-16  Hiroya Murata     <lapis-lazuli@pop06.odn.ne.jp>

	* luna.el (luna-class-find-member): Don't search parents'
	method-spaces.

2002-02-01  Kenichi OKADA     <okada@opaopa.org>

	* eword-encode.el (mime-header-encode-method-alist): New variable.
	(mime-encode-field-body): Use `mime-header-encode-method-alist'.
	(mime-encode-header-in-buffer): Error if cannot encode.

2001-11-19  Kenichi OKADA  <okada@opaopa.org>

	* smtp.el (smtp-find-server): Fix.

2001-11-18  Kenichi OKADA  <okada@opaopa.org>

	* smtp.el (smtp-send-by-myself): Fix.

2001-11-18  Kenichi OKADA  <okada@opaopa.org>

	* smtp.el (smtp-send-by-myself): New variable.
	(smtp-use-starttls-ignore-error): New variable.
	(smtp-find-mx): New function.
	(smtp-dig): New function.
	(smtp-find-server): New function.
	(smtp-send-buffer-by-myself): New funcion.
	(smtp-send-buffer): Change for `smtp-send-buffer-by-myself'.

2001-11-03  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hmac-md5.el: Removed kludge for Emacs 21 prerelease versions.

2001-09-21  Kenichi OKADA  <okada@opaopa.org>

	* smtp.el(smtp-submit-package): Check extensions for starttls.

2001-07-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtpmail.el (smtpmail-send-it): Work even if the first line of
	the subject field has no content (synch with Emacs 20.3).

2001-07-30  AMAKAWA Shuhei    <sa264@cam.ac.uk>

	* smtp.el (smtp-submit-package): Send EHLO after starttls.


2001-06-01  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.3 (Unebigory-Dòmae) released.-A

2001-06-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mel-b-el.el: Require `pces' for the macro `as-binary-process'
	when compiling.

	* mel-q.el: Add a comment that the feature `poem' is also required
	for the macro `as-binary-process'.

2001-05-31  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	Merged MIME Parameter Value decoder.

	* mime-parse.el (mime-decode-parameters): Renamed from
	`mime-decode-parameter-plist'.
	(mime-decode-parameter-alist): Removed.
	(mime-decode-alist-to-plist): Ditto.

	* FLIM-API.en (mime-entity-encoding): Abolish optional argument
	`default-encoding'.
	(mime-parse-Content-Tranfer-Encoding): Ditto.

2001-05-02  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* eword-decode.el (eword-decode-encoded-word): Don't use `let'.

	* mime-parse.el (mime-decode-parameter-plist): Modified
	description of return value.
	(mime-parse-Content-Type): Ditto.
	(mime-read-Content-Type): Ditto.
	(mime-parse-Content-Disposition): Ditto.
	(mime-read-Content-Disposition): Ditto.
	(mime-parse-Content-Transfer-Encoding): Ditto.
	(mime-read-Content-Transfer-Encoding): Ditto.

2001-05-01  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-parse-parameters): Don't use `equal' for
	strings.
	(mime-parse-Content-Type): Ditto.

2001-04-30  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-value): Use one temporary
	buffer.
	(mime-decode-parameter-plist): Changed internal data structure.

2001-04-28  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* eword-decode.el (eword-encoded-word-regexp): Match for language.
	(eword-decode-region): Refer the 7th parens, not 6th.
	(eword-decode-encoded-word): Extract language information.
	(eword-decode-encoded-text): New optional argument `language'.

	* mime-def.el (mime-charset-regexp): Updated for RFC2231.

	* mime-parse.el (mime-decode-parameter-plist): Fix regexp.
	Use symbol for language information.

	* tests/test-rfc2231.el: Renamed all testcases.

2001-04-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-value): Don't use
	`int-char'.

2001-04-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime.el (mime-entity-read-field): Would capitalize twice.

	* mmbuffer.el (mime-entity-fetch-field): Ditto.

	* mmexternal.el (mime-entity-fetch-field): Ditto.

	* mmgeneric.el (mime-entity-fetch-field): Ditto.

2001-04-26  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-plist): Modified
	description of return value.
	(mime-parse-Content-Type): Ditto.
	(mime-read-Content-Type): Ditto.
	(mime-parse-Content-Disposition): Ditto.
	(mime-read-Content-Disposition): Ditto.
	(mime-read-Content-Transfer-Encoding): Ditto.

2001-04-25  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-lexical-analyze): Removed comments.

2001-04-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-value): New
	implementation; use temporary buffer for conversion.
	(mime-decode-parameter-encode-segment): Ditto.
	(mime-decode-parameter-plist): Would put empty language info.

	* test/test-rfc2231.el (test-rfc2231-10, test-rfc2231-11,
	test-rfc2231-12): New testcases for language info.

2001-04-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el: Fixed comments.

	* test/test-rfc2231.el (test-rfc2231-9): New testcase.

2001-04-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* test/test-rfc2231.el (test-rfc2231-7, test-rfc2231-8):
	New testcases.

2001-04-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-def.el (mime-content-type-parameter): Expand
	`mime-content-type-parameters'.

	* mime-parse.el (mime-parse-Content-Disposition): Add
	description of return value to the docstring.
	(mime-parse-Content-Transfer-Encoding): Ditto.

	* test/test-rfc2231.el: Made independent of internal
	representation of Content-Type.

2001-04-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* FLIM-MK (check-flim): Limit filename of test files.

	* test/test-rfc2231.el: New file.

2001-04-19  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-plist): Shortcut for
	parameters without extensions.

2001-04-19  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-def.el (make-mime-content-type): Don't reverse parameters.
	(make-mime-content-disposition): New function.

	* mime-parse.el (mime-decode-parameter-value): Removed comments.
	(mime-decode-parameter-encode-segment): New function.
	(mime-decode-parameter-plist): New implementation.
	Switched from decode-then-concat to concat-then-decode model.
	(mime-parse-parameters): Strip quoted-pair in quoted-string.
	(mime-parse-Content-Type): Use `make-mime-content-type'.
	(mime-parse-Content-Disposition): Use
	`make-mime-content-disposition'.

2001-04-15  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* eword-decode.el (eword-lexical-analyze-internal):
	Fix typo. [cf. <emacs-mime-ja:00425>]

2001-04-11  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-value): Allow lowercase.
	(mime-decode-parameter-plist): Ditto.

2001-04-10  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* std11.el (std11-lexical-analyze): Fix typo.

2001-04-01   Daiki Ueno  <ueno@unixuser.org>

	* lunit.el (lunit-test-listener-*): Abolish generic interface.
	(lunit-test-result-notify): New function.
	(lunit-test-result-run): Use it.
	(lunit-test-result-error): Use it.
	(lunit-test-result-failure): Use it.
	(lunit-create-index-function): New function.
	(lunit-generate-template): New command.

2001-03-19  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hmac-md5.el, hmac-sha1.el: Revert to load-time check.
	Don't require 'poe.

2001-03-18  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mel-b-dl.el: Don't do `dynamic-call' at compile-time.
	(base64-dl-handle): Don't eval at compile-time.

2001-03-18  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hmac-md5.el, sha1.el: Update Copyright header.

2001-03-18  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	Support for built-in `md5' of Emacs 21.

	* md5.el (md5-dl-module): Moved from md5-dl.el.
	Use it for test whether to require 'md5-dl.

	* md5-dl.el: Removed hack for compiler.
	(md5-dl-handle): Do `dynamic-link' unconditionally.
	(md5-region): Not interactive.
	(md5): Removed autoload cookie.

	* sha1.el: Removed hack for compiler.
	Use `sha1-dl-module' for test whether to require 'sha1-dl.
	(sha1-encode, sha1-encode-binary): Removed compatibility code
	for another sha1.el since it was broken.

	* sha1-dl.el: Removed hack for compiler.
	(sha1-dl-handle): Do `dynamic-link' unconditionally.

2001-03-18  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hmac-md5.el: Require 'poe.
	Provide 'md5 if built-in `md5' is found.
	(md5-binary): Define with `defun-maybe-cond'.
	(md5-binary) [v21]: Removed extra arguments.
	(hmac-md5-96): New function.

	* hmac-sha1.el: Require 'poe.
	(sha1-binary): Define with `defun-maybe'.
	(hmac-sha1-96): New function.

2001-03-11  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mel-g.el: Update Copyright header.

2001-03-09  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* mime.el (mime-find-root-entity): Find root recursively.

2001-02-26  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hmac-md5.el, hmac-sha1.el: Modify comments.

2001-02-25  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hex-util.el, hmac-def.el, hmac-md5.el, hmac-sha1.el,
	md5-dl.el, md5.el, sha1-dl.el, sha1-el.el, sha1.el:
	Update Copyright header.

2001-02-28  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-plist,
	mime-decode-parameter-alist, mime-decode-parameters):
	Add doc string.

2001-02-28  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-parse.el (mime-decode-parameter-value): Decode MIME charset
	in multibyte buffer. [cf. <emacs-mime-ja:00817>]
	(mime-decode-parameter-plist): Downcase attributes.
	[cf. <emacs-mime-ja:00816>]
	(mime-decode-parameters): Alias for `mime-decode-parameter-plist'
	instead of `mime-decode-parameter-alist'.
	Add autoload cookie.
	(mime-parse-parameters-from-list): Make obsolete.
	(mime-parse-parameters): Return results as a plist.
	(mime-parse-Content-Type, mime-read-Content-Type): Moved type check
	to the caller side.
	(mime-parse-Content-Disposition, mime-read-Content-Disposition):
	Ditto.
	(mime-parse-Content-Transfer-Encoding,
	mime-read-Content-Transfer-Encoding): Ditto.

2001-02-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	MIME Parameter Value decoder support.

	* mime-def.el (std11-quoted-pair-regexp, std11-non-qtext-char-list,
	std11-qtext-regexp, std11-quoted-string-regexp): Removed.
	(mime-media-type/subtype-regexp): Ditto.
	(mime-attribute-char-regexp, mime-language-regexp,
	mime-encoding-regexp): New constants.

	* mime-parse.el (mime-lexical-analyze): New function.
	(mime/content-parameter-value-regexp, mime::parameter-regexp):
	Removed.
	(mime-parse-parameter): Ditto.
	(mime-decode-parameter-value, mime-decode-parameter-plist,
	mime-parse-alist-to-plist, mime-decode-parameter-alist):
	New functions.
	(mime-parse-parameters-from-list): New alias for
	`mime-decode-parameter-plist'.
	(mime-decode-parameters): New alias for
	`mime-decode-parameter-alist'.
	(mime-parse-parameters): New function.
	(mime-disposition-type-regexp): Removed.
	(mime-parse-Content-Type, mime-parse-Content-Disposition,
	mime-parse-Content-Transfer-Encoding): New implementation.
	(mime-read-Content-Type, mime-read-Content-Disposition,
	mime-read-Content-Transfer-Encoding): Ditto.

2001-02-26  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hmac-md5.el, hmac-sha1.el: Modify comments.

2001-02-25  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* hex-util.el, hmac-def.el, hmac-md5.el, hmac-sha1.el,
	md5-dl.el, md5.el, sha1-dl.el, sha1-el.el, sha1.el:
	Update Copyright header.

2001-02-20  Kenichi OKADA <okada@opaopa.org>

	* tests/test-sasl.el(test-sasl-ntlm-imap): Fix
	`sasl-read-passphrase'

2001-02-20  Kenichi OKADA <okada@opaopa.org>

	* tests/test-sasl.el(test-sasl-ntlm-imap): Change name.
	Delete wrong lines.

2001-02-20  Taro Kawagishi <taro.kawagishi@nokia.com>

	* tests/test-sasl.el(test-sasl-digest-ntlm-imap): New test.

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* sasl-ntlm.el(sasl-ntlm-response): self-Hash.

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* ntlm.el(smb-passwd-hash): Fix `upcase' for XEmacs.

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* ntlm.el(TopLevel): Require `poem'
	(ntlm-build-auth-request): Omit `request-bufIndex'
	(ntlm-build-auth-response): Omit `response', `ident' and `msgType'
	Use `string-as-unibyte' of `poem'.

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* sasl-scram.el(sasl-scram-md5-parse-server-msg-1): Error
	if server's response cannot be parsed.

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* sasl-scram.el(sasl-scram-md5-server-salt): New function.
	(sasl-scram-md5-response-2): Use `sasl-scram-md5-server-salt'

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* sasl-scram.el(sasl-scram-md5-make-unique-nonce): Rewrite.

2001-02-17  Kenichi OKADA <okada@opaopa.org>

	* sasl-scram.el: Add comment.
	(sasl-scram-md5-steps): New variable.
	(sasl-scram-md5-make-client-msg-1): Add optional nonce.
	(sasl-scram-md5-make-client-msg-2): New function.
	(sasl-scram-md5-make-server-msg-2): Rewrite.
	(sasl-scram-md5-response-1): New function.
	(sasl-scram-md5-response-2): New function.
	(sasl-scram-md5-authenticate-server): New function.
	* test/test-sasl.el(test-sasl-scram-md5-imap): New function.

2001-02-16  Kenichi OKADA <okada@opaopa.org>

	* sasl-scram.el: rename from scram-md5.el
	(TopLevel): Provide `sasl-scram'.
	Fix prefix.
	Fix comments.
	require `sasl'.
	(sasl-scram-make-unique-nonce): use `sasl-unique-id'.
	(sasl-scram-md5-unique-id-function): New variable.
	* sasl.el(sasl-mechanisms): Add SCRAM-MD5.
	(sasl-mechanism-alist): Ditto.

2001-02-16  Kenichi OKADA <okada@opaopa.org>

	* md4.el(md4-pack-int16): Taken form ntlm.el
	(md4-pack-int32): Ditto.
	(md4-unpack-int16): Ditto.
	(md4-unpack-int32): Ditto.
	* ntlm.el (pack-int16): Delete.
	(pack-int32): Delete.
	(unpack-int16): Delete.
	(unpack-int32): Delete.

2001-02-16  Kenichi OKADA <okada@opaopa.org>

	* sasl.el(sasl-mechanisms): Add NTLM.
	(sasl-mechanism-alist): Add NTLM.

2001-02-16  Kenichi OKADA <okada@opaopa.org>

	* test/test-sasl.el: New file.

2001-02-16  Taro Kawagishi <taro.kawagishi@nokia.com>

	* md4.el: New file.
	* ntlm.el: New file.
	* sasl-ntlm.el: New file.

2000-12-27  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-conf.el (mime-mailcap-file): Turn to non user option.


2000-12-25  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.2 (Yagi-Nishiguchi) released.

2000-12-23  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* smtpmail.el (smtpmail-send-it): Use
	`binary-write-decoded-region' instead of `binary-write-region'.

	* mmexternal.el (mmexternal-require-buffer): Use
	`binary-insert-encoded-file' instead of
	`binary-insert-file-contents'.
	(mime-write-entity-body): Use `binary-write-decoded-region'
	instead of `binary-write-region'.

	* mmbuffer.el (mime-write-entity-body): Use
	`binary-write-decoded-region' instead of `binary-write-region'.

	* mel.el: - Don't require `raw-io'.
	(8bit-insert-encoded-file): New function.
	(8bit-write-decoded-region): New function.
	(7bit-insert-encoded-file): New alias.
	(7bit-write-decoded-region): New alias.
	(binary-insert-encoded-file): New alias.
	(binary-find-file-noselect): New function.
	(binary-funcall): New function.
	(binary-to-text-funcall): New function.
	(mime-insert-encoded-file of "base64"): Use
	`binary-insert-encoded-file' instead of
	`binary-insert-file-contents'.

	* FLIM-API.en (base64-decode-string): New function.
	(base64-encode-string): New function.
	(ENCODING-write-decoded-region): New function.
	(ENCODING-insert-encoded-file): New function.

	* raw-io.el: Deleted.

	* FLIM-ELS (flim-modules): Delete `raw-io'.

2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* smtp.el (smtp-open-connection-function): Revert initial value to
	`open-network-stream'.
	(qmtp-open-connection): Use `binary-funcall'.

	* qmtp.el (qmtp-open-connection-function): Revert initial value to
	`open-network-stream'.
	(qmtp-send-buffer): Use `binary-funcall'.

2000-12-23  OKAZAKI Tetsurou  <okazaki@be.to>

	* FLIM-ELS (flim-modules): Delete `mmdbuffer'.


2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.1 (Yagi) released.

2000-12-22  Keiichi Suzuki  <keiichi@mdcnet.co.jp>

	* mel-q.el: Require `poem' for `string-to-char-list' when
	compiling.

2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-decode.el (eword-decode-header): Revert to obsolete alias.

2000-12-22  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mmgeneric.el: Add comment for eword-decode.

2000-12-21  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mailcap.el: Require `poe' for `define-obsolete-function-alias'.

2000-12-21   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-send-buffer): Add DOC.
	(smtp-via-smtp): Add DOC.

	* FLIM-API.en (QMTP): Remove section.
	(smtp-send-buffer): Add description.
	(smtp-via-smtp): Likewise.


2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM: Version 1.14.0 (Ninokuchi) released.

	* mime.el (mime-entity-media-type): Add DOC.
	(mime-entity-media-subtype): Add DOC.
	(mime-entity-parameters): Add DOC.
	(mime-entity-type/subtype): Add DOC.

	* FLIM-API.en: Add some usages.
	(mime-entity-media-type): New description.
	(mime-entity-media-subtype): Likewise.
	(mime-entity-type/subtype): Likewise.
	(mime-entity-parameters): Likewise.

2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-encode.el (eword-encode-text): Specify `mode' of
	`encoded-text-encode-string'.

	* mel.el (encoded-text-encode-string): Add optional argument
	`mode'; use `base64-encode-string' directly for "B"-encoding.

2000-12-20  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM-API.en: Renamed from FLIM-1.14-API.en; reordered and add
	some sections.

	* mime.el (mime-entity-set-content-type): Add DOC.
	(mime-entity-set-encoding): Add DOC.

	* mime-def.el (mime-content-type-subtype): Fix DOC.
	(mime-content-type-parameters): Fix DOC.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM-1.14-API.en: New file.

	* smtp.el (smtp-open-connection-function): Add autoload cookie.

	* qmtp.el (qmtp-open-connection-function): Add autoload cookie.

	* mime.el (mime-entity-children): Add DOC.
	(mime-entity-node-id): Add DOC.
	(mime-entity-content-type): Add DOC.
	(mime-entity-content-disposition): Add DOC.
	(mime-entity-encoding): Add DOC.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime.el (mime-encode-field-body): Add autoload setting.

	* eword-encode.el (mime-encode-field-body): Renamed from
	`eword-encode-field-body'; declare `eword-encode-field-body' as
	obsolete alias.
	(mime-encode-header-in-buffer): Use `mime-encode-field-body'
	instead of `eword-encode-field-body'.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime.el (mime-encode-header-in-buffer): Renamed from
	`eword-encode-header'.

	* mmdbuffer.el: Deleted.

	* mime-def.el (mime-header): New group.
	(mime-field-decoding-max-size): New user option [moved from
	eword-decode.el].
	(mime-field-encoding-method-alist): New user option [moved from
	eword-encode.el].

	* eword-encode.el (eword-field-encoding-method-alist): Moved to
	mime-def.el and renamed to `mime-field-encoding-method-alist'.
	(mime-header-charset-encoding-alist): Renamed from
	`eword-charset-encoding-alist'.
	(mime-header-default-charset-encoding): New variable.
	(ew-find-charset-rule): Use
	`mime-header-default-charset-encoding'.
	(eword-in-subject-p): Declare as obsolete function.
	(mime-encode-header-in-buffer): Renamed from
	`eword-encode-header'; declare `eword-encode-header' as obsolete
	alias.

	* eword-decode.el (eword-max-size-to-decode): Moved to mime-def.el
	and renamed to `mime-field-decoding-max-size'.
	(mime-header-lexical-analyzer): Renamed from
	`eword-lexical-analyzer'; switch to variable.

	* FLIM-ELS (flim-modules): Add `raw-io'.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-encode.el (eword-encode-default-start-column): Switch to
	variable.

2000-12-19  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* raw-io.el (start-process): New function.
	(binary-start-process-shell-command): New function.

2000-12-17  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mel-g.el (gzip64-external-encode-region): Don't use
	`as-binary-process'; comment out code to regularize line break
	code for OS/2 [if it is needed, it is better to implement by
	coding-system].
	(gzip64-external-decode-region): Don't use `as-binary-process'.
	(mime-write-decoded-region): Likewise.

	* mime-parse.el: Require `luna'.

2000-12-16  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-encode.el (eword-encode-divide-into-charset-words): Use
	`aref' instead of `sref'.
	(ew-encode-rword-1): Use `1+' instead of `char-next-index'.
	(eword-encode-phrase-to-rword-list): Use `find-charset-string'
	instead of `find-non-ascii-charset-string'.
	(eword-encode-addr-seq-to-rword-list): Don't use `butlast'.
	(eword-encode-header): Use `find-charset-region' instead of
	`find-non-ascii-charset-string'.

	* mel.el: Require `raw-io'.

	* mime-def.el (binary-insert-file-contents): Moved to raw-io.el.
	(binary-write-region): Likewise.

	* mmbabyl.el (mime-write-entity): Use `raw-message-write-region'
	instead of `write-region-as-raw-text-CRLF'.

	* raw-io.el: New file.

	* smtpmail.el: - Require `raw-io'.
	- Delete definition of obsolete variable aliases for XEmacs.
	(smtpmail-send-queued-mail): Use `binary-find-file-noselect'
	instead of `find-file-noselect-as-binary'.

	* smtp.el (smtp-open-connection-function): Use
	`binary-open-network-stream' instead of `open-network-stream' as
	initial value.
	(smtp-open-connection): Don't guard as `binary'.

	* qmtp.el (qmtp-open-connection-function): Use
	`binary-open-network-stream' instead of `open-network-stream' as
	initial value.
	(qmtp-send-buffer): Don't guard as `binary'.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime/eword-decode.el: Don't use
	`define-obsolete-function-alias'; so `eword-decode-header' is
	deleted.

	* mime/mmexternal.el: Don't require `pces'.

2000-12-15  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* Makefile (tar): Use `cvs tag -R' instead of `cvs tag -RF'.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-def.el (char-int): New alias.

	* eword-encode.el (eword-encode-divide-into-charset-words): Don't
	use `char-length' and `char-next-index'.

2000-12-15  Katsumi Yamaoka   <yamaoka@jpl.org>

	* eword-decode.el: Fix typo in doc-string of
	`mime-set-field-decoder'.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mel.el: Don't require `path-util'.

2000-12-15  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* std11.el, smtpmail.el, mime-def.el: Don't require `poe'.

	* mel.el: Don't require `poem'.

2000-12-14  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mmexternal.el (mime-write-entity): Don't use
	`write-region-as-raw-text-CRLF'.
	(mmexternal-require-buffer): Use `binary-insert-file-contents'
	instead of `insert-file-contents-as-binary'.
	(mime-write-entity-body): Use `binary-write-region' instead of
	`write-region-as-binary'.

	* smtpmail.el (smtpmail-send-it): Use `binary-write-region'
	instead of `write-region-as-binary'.

	* smtp.el (smtp-open-connection): Don't use `as-binary-process'.

	* mel.el (mime-insert-encoded-file of "base64"): Use
	`binary-insert-file-contents' instead of
	`insert-file-contents-as-binary'.
	(mime-insert-encoded-file of "7bit"): Use
	`binary-insert-file-contents' instead of
	`insert-file-contents-as-binary'.
	(mime-write-decoded-region of "7bit"): Use `binary-write-region'
	instead of `write-region-as-binary'.

	* mmbuffer.el (mime-write-entity-body): Use `binary-write-region'
	instead of `write-region-as-binary'.
	(mime-write-entity): Don't use `write-region-as-raw-text-CRLF'.

	* mime-def.el: Don't require `poem'.
	(binary-insert-file-contents): New function.
	(binary-write-region): New function.

	* mel-u.el (uuencode-external-encode-region): Don't use
	`as-binary-process'.
	(uuencode-external-decode-region): Don't use `as-binary-process'
	and `as-binary-input-file'.
	(mime-write-decoded-region): Don't use `as-binary-process'.

	* mel-q-ccl.el (quoted-printable-ccl-insert-encoded-file): Don't
	use `insert-file-contents-as-coding-system'.
	(quoted-printable-ccl-write-decoded-region): Don't use
	`write-region-as-coding-system'.

	* mel-b-ccl.el (base64-ccl-insert-encoded-file): Don't use
	`insert-file-contents-as-coding-system'.
	(base64-ccl-write-decoded-region): Don't use
	`write-region-as-coding-system'.

	* std11.el: Don't require `poem'.
	(std11-parse-ascii-token): Don't use
	`find-non-ascii-charset-string'.

	* qmtp.el: Don't require `poem'.
	(qmtp-send-buffer): Don't use `as-binary-process'.

2000-12-14  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime-def.el, qmtp.el, smtp.el, smtpmail.el, std11.el: Require
	`custom' instead of `pcustom'.

2000-12-12   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el: Rewrite with luna.

2000-12-06   Daiki Ueno  <ueno@unixuser.org>

	* FLIM-ELS: Don't install md5-dl.el, md5-el.el, sha1-dl.el and
	sha1-el.el if the running emacs has builtin message digest
	functions.

	* md5-dl.el, sha1-dl.el: Don't bind `dynamic-link' and
	`dynamic-call'.

	* md5.el (md5-dl-module): Moved from md5-dl.el.
	* sha1.el: Don't bind `sha1-string'.

2000-12-04   Daiki Ueno  <ueno@unixuser.org>

	* README.ja, README.en (load-path): Remove section.
	(What's FLIM): Specify prerequisite version of Emacsen.

2000-11-21   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el (sasl-client-set-encoder): New function.
	(sasl-client-set-decoder): New function.
	(sasl-client-encoder): New function.
	(sasl-client-decoder): New function.

	* sasl-digest.el: Require 'cl' when compiling.
	(sasl-digest-md5-signing-encode-magic): New constant.
	(sasl-digest-md5-signing-decode-magic): New constant.
	(sasl-digest-md5-htonl-string): New function.
	(sasl-digest-md5-make-integrity-encoder): New function.
	(sasl-digest-md5-make-integrity-decoder): New function.
	(sasl-digest-md5-ha1): New function.
	(sasl-digest-md5-response-value): Accept the 1st argument `ha1'.
	(sasl-digest-md5-response): Use `sasl-digest-md5-ha1'.
	- Set integrity encoder and decoder of the client.

	* smtp.el: Require `luna'.
	(smtp-read-response): Accept `smtp-connection' object rather than
	process-object.
	(smtp-send-command): Likewise.
	(smtp-send-data): Likewise.

2000-11-10   Daiki Ueno  <ueno@unixuser.org>

	* tests/test-sasl.el (test-sasl-digest-md5-imap): New testcase.
	(test-sasl-digest-md5-acap): New testcase.

2000-11-10   Daiki Ueno  <ueno@unixuser.org>

	* lunit.el (lunit-make-test-suite-from-class): New function.
	(lunit-class): Abolish.
	(lunit-test-results-buffer): Abolish.

	* FLIM-ELS (check-flim): New function.

	* Makefile (check): New target.

	* tests: New directory.

2000-11-09   Daiki Ueno  <ueno@unixuser.org>

	* lunit.el (lunit-test-method-regexp): New variable.
	(lunit-class): New function.

2000-11-09   Daiki Ueno  <ueno@unixuser.org>

	* lunit.el: New file.

2000-12-13  Kenichi Handa     <handa@etl.go.jp>

	* luna.el: Fix and add DOCs and comments; fix coding style.

2000-12-09  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (mmbuffer-parse-multipart): Add new optional
	argument `representation-type'.
	(mmbuffer-parse-encapsulated): Likewise.

2000-12-07  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mmexternal.el: Must require `mmgeneric'.

	* sha1.el: Don't use `defun-maybe'.

2000-12-04   Daiki Ueno  <ueno@unixuser.org>

	* luna.el (luna-class-find-functions): Don't quote colon keywords.
	(luna-send): Ditto.
	(luna-call-next-method): Ditto.

2000-11-28   Daiki Ueno  <ueno@unixuser.org>

	* luna.el: Don't require `static'.
	(luna-define-class-function): Don't bind colon keywords.
	(luna-class-find-functions): Quote colon keywords.
	(luna-send): Likewise.
	(luna-call-next-method): Likewise.

2000-11-12   Daiki Ueno  <ueno@unixuser.org>

	* luna.el (luna-define-method): Clear method cache.
	(luna-apply-generic): New function.
	(luna-define-generic): Use `luna-apply-generic' instead of
	`luna-send'.

2000-12-04   Daiki Ueno  <ueno@unixuser.org>

	* smtpmail.el (smtpmail-send-it): Use `smtp-send-buffer' instead of
	`smtp-via-smtp'.
	(smtpmail-send-queued-mail): Ditto.

2000-11-24  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM-MK (compile-flim): Compile `flim-version-specific-modules'.
	(install-flim): Install `flim-version-specific-modules' to
	`FLIM_VERSION_SPECIFIC_DIR'.
	(compile-flim-package): Compile `flim-version-specific-modules'.
	(install-flim-package): Install `flim-version-specific-modules'.

	* FLIM-ELS (flim-modules): Add `mime-conf' instead of `mailcap'.
	(flim-version-specific-modules): New variable; specify `mailcap'.

	* FLIM-CFG (FLIM_VERSION_SPECIFIC_DIR): New variable.

	* mailcap.el: Completely rewrote to use mime-conf.el.

	* mime-conf.el: New file.

2000-11-16  Kenichi OKADA <okada@opaopa.org>

	* sasl-digest.el (sasl-digest-md5-response): Fix typo.

2000-11-12   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-primitive-data): Use `beginning-of-line' instead of
	`forward-char'.
	(smtp-read-response): Don't bind `case-fold-search'.
	(smtp-send-data): Don't save excursion.

2000-11-10   Daiki Ueno  <ueno@unixuser.org>

	* sasl-digest.el (sasl-digest-md5-challenge): Abolish.
	(sasl-digest-md5-syntax-table): Rename from
	`sasl-digest-md5-parse-digest-challenge-syntax-table'.
	(sasl-digest-md5-parse-string): Rename from
	`sasl-digest-md5-parse-digest-challenge'; only return a property
	list.
	(sasl-digest-md5-challenge): Abolish.
	(sasl-digest-md5-build-response-value-1): Abolish.
	(sasl-digest-md5-response-value): Define as function.
	(sasl-digest-md5-response): Rewrite.

2000-11-07   Kenichi OKADA  <okada@opaopa.org>

	* sasl.el (sasl-login-response-1): Fix.
	(sasl-login-response-2): Fix.

2000-11-07   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-sasl-properties): New user option.
	(smtp-sasl-user-realm): Abolish.

2000-11-05   Daiki Ueno  <ueno@unixuser.org>

	* qmtp.el (qmtp-send-package): Don't check "K" reply per recipient.
	(qmtp-via-smtp): Mark as obsolete.
	(qmtp-send-buffer): New function.

	* sasl.texi: New file.

2000-11-05   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el (sasl-step-data): New function.
	(sasl-step-set-data): New function.

2000-11-04   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el: Don't require 'poe'
	- Rename `sasl-*instantiator*' to `sasl-*client*'.
	- Rename `sasl-*authenticator*' to `sasl-*mechanism*'.
	- Rename `sasl-*continuations*' to `sasl-*steps*'.
	(sasl-make-client): Accept 1st argument `mechanism'.
	(sasl-next-step): Rename from `sasl-evaluate-challenge'.

2000-11-04   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el (sasl-make-instantiator): Define as function.
	(sasl-instantiator-name): Ditto.
	(sasl-instantiator-service): Ditto.
	(sasl-instantiator-server): Ditto.
	(sasl-instantiator-set-properties): Ditto.
	(sasl-instantiator-set-property): Ditto.
	(sasl-instantiator-property): Ditto.
	(sasl-instantiator-properties): Ditto.
	(sasl-authenticator-mechanism): Ditto.
	(sasl-authenticator-continuations): Ditto.

2000-11-02   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el: Rename `sasl-*principal*' to `sasl-*instantiator*'.
	(sasl-make-instantiator): Abolish optional 4th argument.
	(sasl-instantiator-set-properties): New function.
	(sasl-instantiator-put-property): New function.
	(sasl-instantiator-property): New function.
	(sasl-instantiator-properties): New function.

	* smtp.el (smtp-sasl-user-name): Rename from
	`smtp-sasl-principal-user'.
	(smtp-sasl-user-realm): Rename from `smtp-sasl-principal-realm'.

2000-11-02   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el (sasl-mechanisms): Add `LOGIN' and `ANONYMOUS'.
	(sasl-mechanism-alist): Likewise.
	(sasl-error): Define.
	(sasl-login-continuations): New variable.
	(sasl-login-response-1): New function.
	(sasl-login-response-2): New function.
	(sasl-anonymous-continuations): New variable.
	(sasl-anonymous-response): New function.

	* smtp.el (smtp-error): Define.
	(smtp-via-smtp): Use it.

2000-11-02   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el (smtp-via-smtp): Mark as obsolete.
	(smtp-send-buffer): Rename from `smtp-via-smtp'.

2000-11-02   Daiki Ueno  <ueno@unixuser.org>

	* sasl.el (sasl-make-authenticator): Allocate a freshly generated
	symbol for each continuation.

2000-11-02   Daiki Ueno  <ueno@unixuser.org>

	* sasl-digest.el (sasl-digest-md5-response-1): Rename from
	`sasl-digest-md5-digest-response'.
	(sasl-digest-md5-response-2): New alias.
	(sasl-digest-md5-parse-digest-challenge): Save excursion.

	* sasl.el (sasl-mechanism-alist): Rename from `sasl-mechanisms'.
	(sasl-mechanisms): New variable.
	(sasl-find-authenticator): Check `sasl-mechanisms' rather than
	`sasl-mechanism-alist'.

	* smtp.el (smtp-submit-package): Use `smtp-primitive-ehlo'.
	(smtp-primitive-auth): Check authenticator.

2000-11-02   Daiki Ueno  <ueno@unixuser.org>

	* FLIM-ELS (hmac-modules): New variable.
	(flim-modules): Move HMAC modules to `hmac-modules'
	- Add `sasl-digest'.

	* smtp.el (smtp-sasl-principal-realm): New user option.

	* sasl.el (sasl-plain-response): New function.
	(sasl-mechanisms): Add `DIGEST-MD5' and `PLAIN'.
	(sasl-unique-id-function): New variable.
	(sasl-plain-continuations): New variable.
	(sasl-unique-id): New function.
	(sasl-unique-id-char): New variable.

	* sasl-digest.el: New file.

2000-11-01   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el: Bind `sasl-mechanisms'; add autoload settings for
	`sasl-make-principal', `sasl-find-authenticator',
	`sasl-authenticator-mechanism-internal' and
	`sasl-evaluate-challenge'.
	(smtp-use-sasl): New user option.
	(smtp-sasl-principal-name): New user option.
	(smtp-sasl-mechanisms): New user option.
	(smtp-submit-package): Call `smtp-primitive-starttls' and
	`smtp-primitive-auth'.
	(smtp-primitive-ehlo): Don't modify the rest of a extension line.
	(smtp-primitive-auth): New function.
	(smtp-primitive-starttls): Check the response code.

	* sasl.el: New implementation.

	* sasl-cram.el: New file.

	* FLIM-ELS (flim-modules): Add `md5', `md5-el', `md5-dl',
	`hex-util', `hmac-def', `hmac-md5', `sasl' and `sasl-cram'.

2000-11-01   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el: Add autoload settings for `starttls-open-stream' and
	`starttls-negotiate'.
	(smtp-connection-set-extensions-internal): New macro.
	(smtp-connection-extensions-internal): New macro.
	(smtp-make-connection): Set the `extension' slot to nil.
	(smtp-primitive-ehlo): New function.
	(smtp-submit-package): Rename from `smtp-commit'.
	(smtp-submit-package-function): Rename from `smtp-commit-function'.
	(smtp-primitive-starttls): New function.
	(smtp-extensions): New group.
	(smtp-use-8bitmime): New variable.
	(smtp-use-size): New variable.
	(smtp-use-starttls): New variable.
	(smtp-via-smtp): Bind `smtp-open-connection-function'.

2000-10-31   Daiki Ueno  <ueno@unixuser.org>

	* smtp.el: New implementation.

2000-08-16   Daiki Ueno  <ueno@unixuser.org>

	* FLIM-ELS (flim-modules): Add `qmtp'.

	* qmtp.el: New file.

2000-08-28  Yuuichi Teranishi  <teranisi@gohome.org>

	* eword-encode.el (eword-encode-mailboxes-to-rword-list):
	New inline function.
	(eword-encode-address-to-rword-list): Ditto.
	(eword-encode-addresses-to-rword-list):
	Use `eword-encode-address-to-rword-list' instead of
	`eword-encode-mailbox-to-rword-list'.

	* std11.el (std11-address-string): Fix for group list.

2000-08-10  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmgeneric.el: Enclose definition of class `mime-entity' and its
	internal accessors by `eval-and-compile'.

	* luna.el: Define `luna-class-name' before it is used in macros.


2000-07-12  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* FLIM-Chao: Version 1.14.1 (Rokujiz-Dò) released.-A

2000-07-10  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mmexternal.el (initialize-instance): Deleted.
	(mmexternal-require-file-name): New function.
	(mmexternal-require-buffer): Use `mmexternal-require-file-name'.

2000-06-30  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime.el (mime-entity-read-field): Fix a bug when FIELD-NAME is a
	string.

2000-06-23  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mmexternal.el (initialize-instance): New method.
	(mime-entity-name): Fixed.
	(mmexternal-require-buffer): New function.
	(mime-insert-entity): New implementation.
	(mime-write-entity): Likewise.
	(mime-entity-body): New method.
	(mime-insert-entity-body): New method.
	(mime-write-entity-body): New implementation.
	(mime-entity-content): Likewise.
	(mime-insert-entity-content): Likewise.
	(mime-write-entity-content): Likewise.
	(mime-entity-fetch-field): Likewise.
	(mime-insert-header): Likewise.

	* mmbuffer.el (initialize-instance): Store buffer instead of name
	of buffer to `buffer' slot.

2000-06-21  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mmgeneric.el (mime-entity-children): Deleted.

	* mmbuffer.el (mime-insert-entity-body): New method.
	(mmbuffer-parse-multipart): New function.
	(mmbuffer-parse-encapsulated): New function.
	(mime-entity-children): New function.

2000-06-21  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* mime.el (mime-find-root-entity): New function.
	(mime-entity-header-buffer): Comment out.
	(mime-goto-header-start-point): Likewise.
	(mime-entity-header-start-point): Likewise.
	(mime-entity-header-end-point): Likewise.
	(mime-entity-body-buffer): Likewise.
	(mime-goto-body-start-point): Likewise.
	(mime-goto-body-end-point): Likewise.
	(mime-entity-body-start-point): Likewise.
	(mime-entity-body-end-point): Likewise.
	(mime-entity-body-start): Likewise.
	(mime-entity-body-end): Likewise.
	(mime-entity-buffer): Likewise.
	(mime-entity-point-min): Likewise.
	(mime-entity-point-max): Likewise.
	(mime-insert-entity-body): New generic function.
	(mime-entity-uu-filename): Use `mime-insert-entity-body'.
	(mime-entity-set-content-type): New function.
	(mime-entity-set-encoding): New function.

	* mime-parse.el (mime-parse-multipart): Comment out.
	(mime-parse-encapsulated): Likewise.
	(mime-parse-external): Likewise.

	* mmbuffer.el (mime-entity-header-buffer): Comment out.
	(mime-goto-header-start-point): Likewise.
	(mime-entity-header-start-point): Likewise.
	(mime-entity-header-end-point): Likewise.
	(mime-entity-body-buffer): Likewise.
	(mime-goto-body-start-point): Likewise.
	(mime-goto-body-end-point): Likewise.
	(mime-entity-body-start-point): Likewise.
	(mime-entity-body-end-point): Likewise.
	(mime-entity-buffer): Likewise.
	(mime-entity-point-min): Likewise.
	(mime-entity-point-max): Likewise.

2000-05-30  MORIOKA Tomohiko  <tomo@kanji.zinbun.kyoto-u.ac.jp>

	* eword-encode.el (eword-charset-encoding-alist): Add
	`iso-2022-jp-3'.

2000-05-25  Tanaka Akira      <akr@m17n.org>

	* mime-en.sgml, mime-ja.sgml: Update for CVS via SSH.

2000-05-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtp.el (smtp-deduce-address-list): Set `case-fold-search' to `t'
	in the working buffer.

2000-04-26  Yoshiki Hayashi  <yoshiki@xemacs.org>

	* mime.el (mime-entity-body): New function.
	* mmbuffer.el (mime-entity-body): Implement it.

2000-03-03  Keiichi Suzuki  <keiichi@nanap.org>

	* mime.el (mime-entity-node-id): Change to function.

2000-03-03  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmdbuffer.el, mmbuffer.el (initialize-instance): Don't setup
	`mime-message-structure'.

	* mime-parse.el (mime-parse-buffer): Don't setup
	`mime-message-structure'.

2000-03-02  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmgeneric.el (mime-visible-field-p): Moved from mmbuffer.el.
	(mime-insert-header-from-buffer): Moved from mmbuffer.el.

	* mmexternal.el, mmdbuffer.el, mmbuffer.el (mime-visible-field-p):
	Moved to mmgeneric.el.
	(mime-insert-header-from-buffer): Moved to mmgeneric.el.

2000-03-02  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM-ELS (flim-modules): Add `mmgeneric'.

	* mmgeneric.el: New file.

	* mmbuffer.el: Require `mmgeneric'.

	* mime.el: Require `mmgeneric' when compiling.

	* mime-def.el: Move mime-entity related definitions to
	mmgeneric.el.

2000-03-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime.el (mime-find-entity-from-number): Now second argument
	`message' is not an optional argument.
	(mime-find-entity-from-node-id): Likewise.
	(mime-find-entity-from-content-id): Likewise.
	(mime-fetch-field): Delete obsolete function.
	(mime-read-field): Likewise.

2000-03-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime.el (mime-entity-header-buffer): Mark it as obsolete.
	(mime-goto-header-start-point): Likewise.
	(mime-entity-header-start-point): Likewise.
	(mime-entity-header-end-point): Likewise.
	(mime-entity-body-start): Use `defalias'; don't recommend to use
	`mime-entity-body-start-point' instead.
	(mime-entity-body-end): Use `defalias'; don't recommend to use
	`mime-entity-body-end-point' instead.
	(mime-entity-body-buffer): Mark it as obsolete.
	(mime-goto-body-start-point): Likewise.
	(mime-goto-body-end-point): Likewise.
	(mime-entity-body-start-point): Likewise.
	(mime-entity-body-end-point): Likewise.
	(mime-entity-buffer): Don't recommend to use
	`mime-entity-header-buffer' or `mime-entity-body-buffer' instead.
	(mime-entity-point-min): Don't recommend to use
	`mime-entity-header-start-point' instead.
	(mime-entity-point-max): Don't recommend to use
	`mime-entity-body-end-point' instead.

	* mime-def.el (mime-library-version): update to 1.14.1.
	- Add autoload setting for `mime-parse-external'.


2000-03-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* Chao: Version 1.14.0 (Momoyama) released.

2000-01-05  Katsumi Yamaoka   <yamaoka@jpl.org>

	* Makefile, mime-en.sgml, mime-ja.sgml: Update for the new CVS
	server.

1999-12-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mel-b-el.el (base64-encode-region): Allow the optional second arg
	`no-line-break'.
	(base64-external-encode-region): Likewise.
	(base64-internal-encode-region): Likewise.
	(base64-encode-string): Likewise.

1999-12-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM-ELS (flim-modules): Add `mmexternal'.

	* mime-parse.el (mime-parse-external): New function.

	* mime-def.el (mime-entity-children [mime-entity]): Use
	`mime-parse-external' for message/external-body.

	* mmexternal.el: New module.

1999-12-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.en, README.ja, mime-en.sgml, mime-ja.sgml: Update for the
	recent ML address and ftp site.

1999-10-17  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* FLIM-MK (install-flim-package): Delete auto-autoloads.el
	and custom-load.el

1999-09-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mailcap.el (mailcap-look-at-schar): Protect against unexpected
	eof.  [cf. <tm-ja:5177>]

1999-09-13  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtpmail.el (smtpmail-send-it): Remove needless `concat'.

1999-09-08  Yoshiki Hayashi  <t90553@mail.ecc.u-tokyo.ac.jp>

	* mime-ja.sgml, mime-en.sgml (Entity creation): Fix typo.

1999-09-01  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtpmail.el (smtpmail-send-it): Make directory
	`smtpmail-queue-dir' if it does not exist; convert filename of
	queued mail using `convert-standard-filename'.
	(smtpmail-queue-index): Treat `smtpmail-queue-dir' as a directory
	name using `file-name-as-directory'.
	(smtpmail-queue-dir, smtpmail-queue-mail): Remove "*" from doc
	strings.

1999-08-26  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtpmail.el (smtpmail-send-it): Use `time-stamp-yyyy-mm-dd' and
	`time-stamp-hh:mm:ss' instead of `current-time'.

1999-08-25  Katsumi Yamaoka   <yamaoka@jpl.org>

	* FLIM-ELS: Use `if' instead of `unless'.


1999-08-17  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM: Version 1.13.2 (Kasanui) released.

1999-08-03  Yuuichi Teranishi <teranisi@gohome.org>

	* smtp.el (smtp-notify-success): New option.
	* (smtp-via-smtp): Request return receipt (defined in RFC1891) to
	SMTP server if `smtp-notify-success' is non-nil.
	[cf. <tm-ja:4872,4877>]

1999-08-02  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime.el (mime-entity-header-start-point): New generic function.
	(mime-entity-header-end-point): New generic function.

	* mmbuffer.el (mime-entity-header-start-point): New method.
	(mime-entity-header-end-point): New method.

1999-08-09  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM-ELS (flim-modules): Add `mmdbuffer'.

1999-07-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmdbuffer.el: New module.

1999-07-28  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-parse.el: Add autoload setting for
	`mime-entity-body-buffer', `mime-entity-body-start-point' and
	`mime-entity-body-end-point'.

	* mime.el (mime-entity-point-min): Define as an obsolete function.
	(mime-entity-point-max): Likewise.

1999-07-27  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (entity-point-min): Deleted because it is
	duplicated.
	(entity-point-max): Deleted because it is duplicated.

1999-07-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (mime-insert-text-content): Deleted [moved to
	mime-def.el].

	* mime-def.el: Add autoload settings for `mime-entity-content' [to
	avoid warning].
	(mime-insert-text-content): New method of `mime-entity' [moved
	from mmbuffer.el].

1999-07-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (mime-entity-children): Deleted [moved to
	mime-def.el].

	* mime-def.el: Add autoload settings for
	`mime-entity-content-type', `mime-parse-multipart' and
	`mime-parse-encapsulated' [to avoid warning].
	(mime-entity-children): New method of `mime-entity' [moved from
	mmbuffer.el].


1999-07-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM: Version 1.13.1 (Tawaramoto) released.

1999-07-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-parse.el (mime-parse-buffer): Fixed.


1999-07-16  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM: Version 1.13.0 (Iwami) released.

1999-07-09  Nakagawa, Makoto  <nakagawa@pochi.tis.co.jp>

	* smtpmail.el (smtpmail-send-it): Use current-time to get rid of
	time-stamp-strftime.
	(smtpmail-send-it): Use write-region-as-binary instead of
	write-file.
	(smtpmail-send-queued-mail); Use find-file-noselect-as-binary
	instead of find-file-noselect.

1999-06-23  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM-CFG: Delete code to detect APEL 7.3 or later.

1999-06-16  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtpmail.el (smtpmail-send-it): Extend the search bound to the
	end of the field for fetching the recipients from Resent-To.

1999-06-11  Katsumi Yamaoka   <yamaoka@jpl.org>

	* luna.el (luna-define-class-function): Check for the improbable
	name of variable beginning with colon whether we should bind the
	sort of symbol or not.
	(TopLevel): Likewise.

1999-06-10  Katsumi Yamaoka   <yamaoka@jpl.org>

	* luna.el (luna-define-class-function): Bind member variables
	statically for old Emacsen.
	(TopLevel): Require `static'; bind `:before', `:after' and
	`:around' statically for old Emacsen. [cf. <tm-ja:4593>]


1999-06-01  MORIOKA Tomohiko  <tomo@m17n.org>

	* Chao: Version 1.13.0 (JR Fujinomori) released.

1999-05-29  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (mime-entity-fetch-field): New implementation.

	* mime-def.el (mime-entity-fetch-field): New method of luna-class
	`mime-entity'.

	* luna.el (luna-define-method): Allow `:around' qualifier.
	(luna-class-find-functions): Likewise.
	(luna-send): Likewise.
	(luna-call-next-method): New function.

1999-05-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-def.el (eval-module-depended-macro): Abolished.
	Use `def-edebug-spec' directly.

	* luna.el (luna-define-method): Allow `:before' qualifier.
	(luna-class-find-functions): Likewise.

	* mime-def.el (mime-message-structure): Define as obsolete
	variable.

1999-05-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-parse.el (mime-parse-encapsulated): Use
	`mime-entity-body-start-point' and `mime-entity-body-end-point'.

	* mime.el (mime-parse-buffer): Revert to auto-load from
	"mime-parse".

	* mime-parse.el (mime-parse-multipart): Move from mime-parse.el
	again.
	(mime-parse-encapsulated): Likewise.
	(mime-parse-message): Likewise.
	(mime-parse-buffer): Likewise.

	* mmbuffer.el (mime-parse-multipart): Move to mime-parse.el again.
	(mime-parse-encapsulated): Likewise.
	(mime-parse-message): Likewise.
	(mime-parse-buffer): Likewise.

	* mmbuffer.el (mime-parse-encapsulated): Run in body-buffer of an
	entity.

1999-05-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (initialize-instance): Don't initialize slots if
	they are initialized.
	(mime-parse-multipart): Run in body-buffer of an entity.
	(mime-entity-body-start-point): New method.

1999-05-25  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (mime-entity-body-end-point): New method.
	(mime-goto-header-start-point): New method.
	(mime-goto-body-start-point): New method.
	(mime-goto-body-end-point): New method.

	* mime.el (mime-goto-body-end-point): New generic function.

	* mel.el (Q-encoded-text-length): Fixed.

1999-05-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmbuffer.el (mime-parse-multipart): Refer body-start instead of
	header-end.

	* mmcooked.el (mime-insert-header): Fix typo.

1999-05-23  MORIOKA Tomohiko  <tomo@m17n.org>

	* mmcooked.el (mime-insert-header): Use
	`luna-class-find-functions'.

	* mime.el (mime-entity-buffer): Define as obsolete function.
	(mime-entity-body-end-point): New generic function; define
	`mime-entity-body-end' as obsolete function.
	(mime-goto-body-start-point): New generic function.
	(mime-entity-uu-filename): Use `mime-goto-body-start-point' and
	`mime-entity-body-end-point'.

	* mmbuffer.el (initialize-instance): Define as after method;
	return initialized instance.

	* luna.el (luna-define-class): Add `standard-object' as a parent.
	(luna-define-method): Allow `:after' qualifier.
	(luna-class-find-parents-functions): New function.
	(luna-class-find-functions): New function [abolish
	`luna-class-find-function'].
	(luna-find-functions): New function [abolish
	`luna-find-function'].
	(luna-send): Modify for new method dispatch mechanism.
	(luna-make-entity): New implementation.
	(standard-object): New class.
	(initialize-instance): New method.

1999-05-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* Delete mmgeneric.el.

	* mmcooked.el: Modify for mmbuffer.el.

	* mmbuffer.el:
	- Don't require `mmgeneric' and `mime-parse'.
	- Require mime.
	- Use `luna'.
	(mime-buffer-entity-buffer-internal): Renamed from
	`mime-entity-set-buffer-internal'.
	(mime-buffer-entity-set-buffer-internal): Likewise.
	(mime-buffer-entity-header-start-internal): Likewise.
	(mime-buffer-entity-set-header-start-internal): Likewise.
	(mime-buffer-entity-header-end-internal): Likewise.
	(mime-buffer-entity-set-header-end-internal): Likewise.
	(mime-buffer-entity-body-start-internal): Likewise.
	(mime-buffer-entity-set-body-start-internal): Likewise.
	(mime-buffer-entity-body-end-internal): Likewise.
	(mime-buffer-entity-set-body-end-internal): Likewise.
	(mime-entity-name): New method.
	(mime-parse-multipart): New function [moved from mime-parse.el].
	(mime-parse-encapsulated): Likewise.
	(mime-parse-message): Likewise.
	(mime-entity-children): New method.
	(mime-goto-header-start-point): New method.
	(mime-visible-field-p): New function [moved from mmgeneric.el].
	(mime-insert-header-from-buffer): Likewise.
	(mime-insert-header): New method.
	(mime-entity-content): Use `luna-define-method'.
	(mime-insert-text-content): New method.
	((mime-entity-fetch-field): Use `luna-define-method'.
	(mime-entity-header-buffer): New method.
	(mime-entity-body-buffer): Likewise.
	(mime-entity-buffer): Likewise.
	(mime-entity-point-min): Use `luna-define-method'.
	(mime-entity-point-max): Use `luna-define-method'.
	(mime-parse-buffer): New function [moved from mmgeneric.el].

	* mime-parse.el (mime-parse-multipart): Moved to mmbuffer.el.
	(mime-parse-encapsulated): Likewise.
	(mime-parse-message): Likewise.
	(mime-parse-buffer): Likewise.

	* mime.el (mime-parse-buffer): Auto-loaded from "mmbufer".
	(mime-find-function): Abolished.
	(mime-entity-function): Abolished.
	(mime-entity-send): Use `luna-send'.
	(mime-open-entity): Use `luna-make-entity' and
	`mm-expand-class-name'.
	(mime-entity-cooked-p): Use `luna-define-generic'.
	(mime-entity-children): Use `luna-send'.
	(mime-find-entity-from-content-id): Use `mime-entity-read-field'.
	(mime-entity-buffer): Change to generic function.
	(mime-entity-header-buffer): New generic function.
	(mime-entity-body-buffer): Likewise.
	(mime-entity-point-min): Use `luna-define-generic'.
	(mime-entity-point-max): Likewise.
	(mime-entity-header-start): Abolished.
	(mime-entity-header-end): Abolished.
	(mime-entity-body-start): Abolished.
	(mime-entity-body-end): Abolished.
	(mime-goto-header-start-point): New generic function.
	(mime-entity-fetch-field): New generic function.
	(mime-fetch-field): Use `mime-entity-fetch-field'; declare as
	obsolete function.
	(mime-entity-content-type): Use `mime-entity-fetch-field'.
	(mime-entity-content-disposition): Likewise.
	(mime-entity-encoding): Likewise.
	(mime-entity-read-field): New function.
	(mime-read-field): Use `mime-entity-read-field'; declare as
	obsolete function.
	(mime-insert-header): Use `luna-define-generic'; abolish obsolete
	alias `mime-insert-decoded-header'.
	(mime-entity-name): New generic function.
	(mime-entity-content): Use `luna-define-generic'.
	(mime-insert-entity-content): Likewise.
	(mime-write-entity-content): Likewise.
	(mime-insert-text-content): Likewise.
	(mime-insert-entity): Likewise.
	(mime-write-entity): Likewise.
	(mime-write-entity-body): Likewise.

	* mime-def.el:
	- Use `luna'.
	(make-mime-entity-internal): Abolished.
	(mime-entity-representation-type-internal): Change to alias for
	`luna-class-name'.
	(mime-entity-set-representation-type-internal): Change to alias
	for `luna-set-class-name'.
	(mime-entity-location-internal): Defined by
	`luna-define-internal-accessors'.
	(mime-entity-set-location-internal): Likewise.
	(mime-entity-content-type-internal): Likewise.
	(mime-entity-set-content-type-internal): Likewise.
	(mime-entity-content-disposition-internal): Likewise.
	(mime-entity-set-content-disposition-internal): Likewise.
	(mime-entity-encoding-internal): Likewise.
	(mime-entity-set-encoding-internal): Likewise.
	(mime-entity-children-internal): Likewise.
	(mime-entity-set-children-internal): Likewise.
	(mime-entity-parent-internal): Likewise.
	(mime-entity-set-parent-internal): Likewise.
	(mime-entity-node-id-internal): Likewise.
	(mime-entity-decoded-subject-internal): Abolished.
	(mime-entity-set-decoded-subject-internal): Abolished.
	(mime-entity-decoded-from-internal): Abolished.
	(mime-entity-set-decoded-from-internal): Abolished.
	(mime-entity-date-internal): Abolished.
	(mime-entity-set-date-internal): Abolished.
	(mime-entity-message-id-internal): Abolished.
	(mime-entity-set-message-id-internal): Abolished.
	(mime-entity-references-internal): Abolished.
	(mime-entity-set-references-internal): Abolished.
	(mime-entity-chars-internal): Abolished.
	(mime-entity-set-chars-internal): Abolished.
	(mime-entity-lines-internal): Abolished.
	(mime-entity-set-lines-internal): Abolished.
	(mime-entity-xref-internal): Abolished.
	(mime-entity-set-xref-internal): Abolished.
	(mime-entity-original-header-internal): Defined by
	`luna-define-internal-accessors'.
	(mime-entity-set-original-header-internal): Likewise.
	(mime-entity-parsed-header-internal): Likewise.
	(mime-entity-set-parsed-header-internal): Likewise.
	(mime-entity-buffer-internal): Abolished.
	(mime-entity-set-buffer-internal): Abolished.
	(mime-entity-header-start-internal): Abolished.
	(mime-entity-set-header-start-internal): Abolished.
	(mime-entity-header-end-internal): Abolished.
	(mime-entity-set-header-end-internal): Abolished.
	(mime-entity-body-start-internal): Abolished.
	(mime-entity-set-body-start-internal): Abolished.
	(mime-entity-body-end-internal): Abolished.
	(mime-entity-set-body-end-internal): Abolished.
	(mm-expand-class-name): New macro.
	(mm-define-backend): Use `luna-define-class' and
	`mm-expand-class-name'.
	(mm-define-method): Use `luna-define-method' and
	`mm-expand-class-name'.
	(mm-arglist-to-arguments): Abolished.
	(mel-define-service): Use `luna-arglist-to-arguments' instead of
	`mm-arglist-to-arguments'.

	* mel.el: Require `alist'.

	* FLIM-ELS (flim-modules): Add `luna' and delete `mmgeneric'.

	* luna.el:
	- Rename property `luna-member-index' to `luna-slot-index'.
	- Rearrangement to avoid byte-compiling problem.
	(luna-define-class-function): New function.
	(luna-define-class): Use `luna-define-class-function'.
	(luna-define-generic): Fixed.
	(luna-define-internal-accessors): New function.

1999-05-15  MORIOKA Tomohiko  <tomo@m17n.org>

	* luna.el (luna-make-entity-function): Send `initialize-instance'.

1999-05-14  MORIOKA Tomohiko  <tomo@m17n.org>

	* luna.el: New module.


1999-05-31  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM: Version 1.12.7 (Y-Dþzaki) released.-A

1999-05-31  MORIOKA Tomohiko  <tomo@m17n.org>

	* mime-en.sgml (Network representation of header): Translate.

1999-05-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mel-b-el.el (pack-sequence): Eliminate local variable `i'.
	(base64-encode-1): Avoid concat.
	(base64-encode-string): Fixed last change; extra padding.

1999-05-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* smtpmail.el (smtpmail-default-smtp-server): Define obsolete
	variable alias for XEmacs.
	(smtpmail-smtp-server): Likewise.
	(smtpmail-smtp-service): Likewise.
	(smtpmail-local-domain): Likewise.
	(smtpmail-debug-info): Likewise.
	(smtpmail-send-it): Check function `expand-mail-aliases' is
	defined.

1999-05-26  MORIOKA Tomohiko  <tomo@m17n.org>

	* smtp.el (smtp-debug-info): Now a user option.

1999-05-25  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* README.ja: Modify URL and required version of APEL.

1999-05-24  Tanaka Akira  <akr@jaist.ac.jp>

	* mel-b-ccl.el (base64-encode-string): New alias.
	(base64-encode-region): Ditto.
	(base64-decode-string): Ditto.
	(base64-decode-region): Ditto.

1999-05-24  Tanaka Akira  <akr@jaist.ac.jp>

	* mel-b-ccl.el, mel-q-ccl.el: Sync up with doodle-1.12.5.

1999-05-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* eword-encode.el (ew-space-process): Renamed from
	`tm-eword::space-process'.

1999-05-24  MORIOKA Tomohiko  <tomo@m17n.org>

	* eword-encode.el (tm-eword::space-process): Don't concatenate
	`special's.
	(ew-encode-rword-1): Renamed from `tm-eword::encode-string-1'; add
	new optional argument `must-output'; return nil if it can't encode
	literally.
	(eword-encode-rword-list): Fold SPACE or TAB in the encoded string
	if `ew-encode-rword-1' can't encode literally and it is possible
	to encode the rest literally with the folding.
	(eword-encode-phrase-to-rword-list): Add `special' flag to
	brackets of comments.

1999-05-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* smtpmail.el: Require 'poe and 'pcustom.

1999-05-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mel.el: Update header.
	Require 'path-util and don't require 'poem.
	(mel-use-module): Eliminate local variable `encoding'.
	(mime-insert-encoded-file for mel-b-builtin):
	Use built-in `interactive' spec.
	(encoded-text-decode-string): Anchor regexp with "\\`" and "\\'".
	(mime-encode-region): Capitalize prompt string.
	(mime-decode-region): Ditto.
	(mime-insert-encoded-file): Ditto.
	(mime-write-decoded-region): Ditto.

	* mel-b-ccl.el: Update header.
	(base64-ccl-encode-region): Use read-only `interactive' spec.
	(base64-ccl-decode-region): Ditto.
	(base64-ccl-insert-encoded-file): Use built-in `interactive' spec.
	(base64-ccl-write-decoded-region): Ditto.
	(encoded-text-decode-string): Anchor regexp with "\\`" and "\\'".

	* mel-b-dl.el: Update header.
	Don't require 'poe; it is required implicitly via 'mime-def.
	(base64-dl-handle): Chech whether `base64-dl-module' is string.
	Defalias `base64-encode-string' and `base64-decode-string' just
	after `dynamic-call'ing "emacs_base64_init".
	(base64-encode-region): Use read-only `interactive' spec.
	Use `base64-encode-string'.
	Changed order of evaluation to "encode, delete, then insert".
	(base64-decode-region): Renamed from `decode-base64-region'.
	Use read-only `interactive' spec.
	Use `base64-decode-string'.
	Changed order of evaluation to "decode, delete, then insert".
	(mime-encode-string): Use `base64-encode-string'.
	(mime-decode-string): Use `base64-decode-string'.
	(mime-decode-region): Use `base64-decode-region'.
	(encoded-text-encode-string): Use `base64-encode-string'.
	(encoded-text-decode-string): Anchor regexp with "\\`" and "\\'".
	(mime-insert-encoded-file): Use built-in `interactive' spec.
	(mime-write-decoded-region in comment): Ditto.

	* mel-b-el.el: Update header.
	Don't require 'poe; it is required implicitly via 'mime-def.
	(pack-sequence): Moved to top of the function definitions.
	(base64-encode-string): Calculate padding first.
	(base64-internal-encode-region): Changed order of evaluation to
	"encode, delete, then insert".
	(base64-internal-decode-string): Changed order of evaluation to
	"decode, delete, then insert".
	(base64-encode-region): Use read-only `interactive' spec.
	(base64-decode-region): Ditto.
	(base64-decode-string): Not interactive.
	(encoded-text-decode-string): Anchor regexp with "\\`" and "\\'".
	(base64-insert-encoded-file): Use built-in `interactive' spec.
	(base64-write-decoded-region): Ditto.

	* mel-g.el: Update header.
	Require 'mime-def instead of 'poem and 'mel.
	(mime-insert-encoded-file): Use built-in `interactive' spec.
	(mime-write-decoded-region): Ditto.

	* mel-q-ccl.el: Update header.
	(quoted-printable-ccl-encode-region):
	Use read-only `interactive' spec.
	(quoted-printable-ccl-decode-region): Ditto.
	(quoted-printable-ccl-insert-encoded-file):
	Use built-in `interactive' spec.
	(quoted-printable-ccl-write-decoded-region): Ditto.
	(encoded-text-decode-string): Anchor regexp with "\\`" and "\\'".

	* mel-q.el: Update header.
	Require 'path-util instead of 'emu.
	(quoted-printable-internal-encode-region): Rewrite without regexp.
	(quoted-printable-internal-decode-region): Ditto.
	(quoted-printable-encode-region): Use read-only `interactive' spec.
	(quoted-printable-decode-region): Ditto.
	(mime-insert-encoded-file): Use built-in `interactive' spec.
	(mime-write-decoded-region): Ditto.
	(encoded-text-decode-string): Anchor regexp with "\\`" and "\\'".

	* mel-u.el: Update header.
	Require 'path-util instead of 'emu.
	(mime-insert-encoded-file): Use built-in `interactive' spec.
	(mime-write-decoded-region): Ditto.

1999-05-22  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime-def.el: Require 'poe, 'poem, and 'pcustom.
	(mime): Declare `default-mime-charset' as an initial member.

	* mime-parse.el: Don't require 'cl at compile-time.

	* mailcap.el (mailcap-look-at-qchar): Use `char-after'.

	* std11.el: Require 'poe, 'poem, and 'pcustom.

	* smtp.el: Update header.
	Require 'poe, 'poem, and 'pcustom.
	Require 'cl at compile-time.

1999-05-21  MORIOKA Tomohiko  <tomo@m17n.org>

	* README.en (Installation): Modify URL and required version of
	APEL.

	* eword-encode.el (ew-find-charset-rule): Renamed from
	`tm-eword::find-charset-rule'; use
	`find-mime-charset-by-charsets'.


1999-05-11  MORIOKA Tomohiko  <tomo@m17n.org>

	* FLIM: Version 1.12.6 (Family-K-Dòenmae) released.-A

1999-04-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mel-b-ccl.el (TopLevel): Suppress warning.
	mel-q-ccl.el (TopLevel): Ditto.
	mime.el (TopLevel): Ditto.

1999-04-26  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* eword-decode.el (eword-encoded-word-regexp): Accept "b" and "q"
	for "encoding".

	* mime-def.el (std11-qtext-regexp): Don't use `string'.
	(mime-tspecial-char-list): Eval at compile time.

1999-04-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime.el: Delete autoload setting for `eword-encode-field'.

1999-04-22  MORIOKA Tomohiko  <tomo@m17n.org>

	* eword-encode.el: Require `poem' instead of `emu'.
	Don't use `cl' for `caar'.

1999-04-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* smtp.el (smtp-via-smtp): Funcall `smtp-server' if it is a
	function.
	(smtp-server): Make it can also be a function called from
	`smtp-via-smtp' with arguments SENDER and RECIPIENTS.

1999-04-05  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* FLIM-CFG: Make easier to install in VERSION_SPECIFIC_LISPDIR.

1999-03-29  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* mime.el (mime-read-field): Correct argument of
	`mime-decode-field-body'; 'native -> 'plain.

1999-03-27  Shuhei KOBAYASHI  <shuhei@aqua.ocn.ne.jp>

	* eword-encode.el (TopLevel): Require 'cl when compiling.
	(eword-encode-rword-list): Suppress insertion of extra spaces.
	(eword-encode-msg-id-to-rword-list): Treat surrounding angle
	brackets atomically.
	([tm-ja:4244] by Kazuhiro Ohta <ohta@ele.cst.nihon-u.ac.jp>)

1999-03-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-charset-encoding-alist): Add `tis-620'.

1999-03-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (mime-decode-string): Return STRING if return value of
 	`(mel-find-function 'mime-decode-string encoding)' is nil.

1999-02-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mel-define-service): Change size of obarray to 7.

1999-02-01  Yoshiki Hayashi  <g740685@komaba.ecc.u-tokyo.ac.jp>

	* mime-ja.sgml: Tranlate all untranslated parts.


1999-01-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.12.5 (Hirahata) released.

	* mime-ja.sgml, mime-en.sgml: Sync with FLIM API 1.12.

1999-01-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (New optional argument of `std11-field-end'): New
	subsection.

	* std11.el (std11-field-end): Add new optional argument `bound'.


1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.12.4 (Tsutsui) released.

1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en: Sync with latest FLIM.

	* README.ja: fixed.

1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el, mmgeneric.el (insert-entity-content): New method.

	* mime.el (mime-insert-entity-content): New generic function.

1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (New function `mime-find-entity-from-content-id'): New
	subsection.
	(New function `mime-parse-msg-id'): New subsection.
	(New function `mime-uri-parse-cid'): New subsection.

1999-01-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-find-entity-from-content-id): New function.
	(mime-field-parser-alist): Use `mime-parse-msg-id' instead of
	`std11-parse-msg-id' to parse `Message-Id', `Recent-Message-Id'
	and `Content-Id' field.

	* mime-parse.el (mime-parse-msg-id): New function.
	(mime-uri-parse-cid): New function.


1999-01-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.12.3 (Kintetsu-K-Dòriyama) released.-A

1999-01-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Function `std11-parse-in-reply-to'): New subsection.
	(New function `std11-parse-msg-id-string'): Likewise.
	(New function `std11-parse-msg-ids-string'): Likewise.
	(New generic function `mime-insert-entity'): Likewise.

1999-01-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-field-parser-alist): Change to set parser for
	tokens instead of parser for string.
	(mime-read-field): Use `eword-lexical-analyze' before parsing.

	* eword-encode.el (eword-encode-in-reply-to): Use
	`std11-parse-msg-ids-string' instead of `std11-parse-in-reply-to'
	and `std11-lexical-analyze'.

	* std11.el (std11-parse-msg-ids): Renamed from
	`std11-parse-in-reply-to'; define `std11-parse-in-reply-to' as
	obsolete alias.
	(std11-parse-msg-id-string): New function.
	(std11-parse-msg-ids-string): New function.

1999-01-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-field-parser-alist): New variable.
	(mime-read-field): Refer `mime-field-parser-alist'.

1999-01-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el, mmgeneric.el (insert-entity): New method.

	* mime.el (mime-insert-entity): New generic function.

1999-01-22  Katsumi Yamaoka   <yamaoka@jpl.org>

	* std11.el (TopLevel): Require `custom'.


1999-01-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.12.2 (Kuj-Dò) released.-A

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-lexical-analyzer): New user option.
	(mime-analyze-tspecial): New function.
	(mime-analyze-token): New function.
	(mime-parse-Content-Transfer-Encoding): Use
	`std11-lexical-analyze' with `mime-lexical-analyzer'.

	* mime-def.el (mime-tspecial-char-list): Renamed from
	`mime-tspecials'; changed from string to list.
	(mime-token-regexp): Use `eval-when-compile'.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-lexical-analyzer): Modify DOC-string
	about interface change.
	(eword-analyze-comment): Renamed from `eword-parse-comment';
	change second argument `from' to required argument; abolish alias
	`eword-analyze-comment' of `eword-parse-comment'.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (User option `eword-lexical-analyzers' ->
	`eword-lexical-analyzer'): New subsection.

	* eword-decode.el (eword-lexical-analyzer): Renamed from user
	option `eword-lexical-analyzers'.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (New user option `std11-lexical-analyzer'): New subsection.

	* std11.el (std11-lexical-analyzer): Renamed from user option
	`std11-lexical-analyzers'.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-lexical-analyze): Change interface to add new
	optional argument `analyzers'.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-lexical-analyzers): New user option.
	(std11-lexical-analyze): New implementation; refer
	`std11-lexical-analyzers'.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Change interface of lexical-analyzers): New subsection.

1999-01-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-encoded-word-regexp): Must define when
	this module is compiled.
	(eword-decode-structured-field-body): Add new optional argument
	`start'.
	(eword-decode-and-unfold-structured-field-body): Likewise.
	(eword-decode-and-fold-structured-field-body): Likewise.
	(eword-analyze-quoted-string): Add new argument `start'; return
	`(<parsed result> . <end position>)' instead of `(<parsed result>
	. <rest string>)'.
	(std11-analyze-domain-literal): Likewise.
	(eword-analyze-domain-literal): Likewise.
	(eword-analyze-comment): Changed to alias of
	`eword-parse-comment'.
	(eword-analyze-spaces): Add new argument `start'; return `(<parsed
	result> . <end position>)' instead of `(<parsed result> . <rest
	string>)'.
	(std11-analyze-domain-literal): Likewise.
	(eword-analyze-special): Likewise.
	(eword-analyze-encoded-word): Likewise.
	(eword-analyze-atom): Likewise.
	(eword-lexical-analyze-internal): Add new argument `start'.
	(eword-lexical-analyze): Change interface to add new optional
	argument `start'.
	(eword-extract-address-components): Add new optional argument
	`start'.

	* std11.el (std11-atom-regexp): Modify to match non-top atom.
	(std11-analyze-spaces): Add new argument `start'; return `(<parsed
	result> . <end position>)' instead of `(<parsed result> . <rest
	string>)'.
	(std11-analyze-special): Likewise.
	(std11-analyze-atom): Likewise.
	(std11-analyze-quoted-string): Likewise.
	(std11-analyze-domain-literal): Likewise.
	(std11-analyze-comment): Likewise.
	(std11-lexical-analyze): Add new optional argument `start'.

1999-01-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-fetch-field): Add autoload cookie.
	(std11-narrow-to-header): Likewise.
	(std11-field-body): Likewise.
	(std11-unfold-string): Likewise.
	(std11-lexical-analyze): Add DOC-string; add autoload cookie.

	* std11.el (std11-space-char-list): Renamed from
	`std11-space-chars'; changed from string to list.

1999-01-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-fetch-field): Don't define as inline function.
	(std11-field-body): Enclose `std11-narrow-to-header' and
	`std11-fetch-field' by `inline'.

1999-01-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-special-char-list): Evaluate when it is
	compiled.
	(std11-atom-regexp): Use `eval-when-compile'.

1999-01-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-space-chars): Must evaluate when it is compiled.
	(std11-analyze-spaces): Don't use `std11-spaces-regexp'; abolist
	constant `std11-spaces-regexp'.

	* mime-parse.el (mime-disposition-type-regexp): Must evaluate when
	it is compiled.

	* mime-parse.el: Don't require emu.

	* mime-parse.el (mime-parse-Content-Disposition): Use
	`eval-when-compile'.

	* mime-parse.el (mime-parse-Content-Transfer-Encoding): New
	implementation.

1998-12-22  Katsumi Yamaoka <yamaoka@jpl.org>

	* README.en (Installation): Modify for APEL 9.12.
	* README.ja (Installation): Likewise.

1998-12-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* mel-b-ccl.el (base64-ccl-insert-encoded-file): Call
	`insert-file-contents-as-coding-system' with CODING-SYSTEM as the
	1st arg.
	* mel-q-ccl.el (quoted-printable-ccl-insert-encoded-file):
	Likewise.

	* mel-b-ccl.el (base64-ccl-write-decoded-region): Call
	`write-region-as-coding-system' with CODING-SYSTEM as the 1st arg.
	* mel-q-ccl.el (quoted-printable-ccl-write-decoded-region):
	Likewise.

1998-12-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* mel-b-ccl.el (base64-ccl-insert-encoded-file): Use
	`insert-file-contents-as-coding-system' (renamed from
	`insert-file-contents-as-specified-coding-system').
	* mel-q-ccl.el (quoted-printable-ccl-insert-encoded-file):
	Likewise.

	* mel-b-ccl.el (base64-ccl-write-decoded-region): Use
	`write-region-as-coding-system' (renamed from
	`write-region-as-specified-coding-system').
	* mel-q-ccl.el (quoted-printable-ccl-write-decoded-region):
	Likewise.

1998-12-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* smtp.el (smtp-coding-system): Abolished.
	(smtp-via-smtp): Use `open-network-stream-as-binary' instead of
	`open-network-stream'.

1998-12-04  Katsumi Yamaoka <yamaoka@jpl.org>

	* mel-b-ccl.el (base64-ccl-insert-encoded-file): Use
	`insert-file-contents-as-specified-coding-system' instead of
	`insert-file-contents'.
	* mel-q-ccl.el (quoted-printable-ccl-insert-encoded-file):
	Likewise.

	* mel-b-ccl.el (base64-ccl-write-decoded-region): Use
	`write-region-as-specified-coding-system' instead of
	`write-region'.
	* mel-q-ccl.el (quoted-printable-ccl-write-decoded-region):
	Likewise.


1998-12-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.12.1 (Nishinoky-Dò) released.-A

1998-11-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* smtpmail.el (smtpmail-send-it): Add autoload cookie; use
	`smtpmail-do-bcc' instead of `smtp-do-bcc'; modify for interface
	change of `smtp-via-smtp'.
	(smtpmail-do-bcc): New function (moved and renamed from
	`smtp-do-bcc' of smtp.el).

1998-08-06  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/smtp.el: Do not insert empty line at the end of message.

1998-06-18  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* lisp/smtp.el (smtp-use-8bitmime): New variable.
	(smtp-debug-info): Internal variable, now.
	(smtp-make-fqdn): Renamed from `smtp-fqdn'.
	(smtp-via-smtp): New implementation.
	(smtp-send-command): Treat "PASS" as usual.
	(smtp-do-bcc): Removed.

1998-11-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* smtpmail.el: New module (copied from Semi-gnus 6.8).

	* smtp.el: New module (copied from Semi-gnus 6.8).

	* FLIM-ELS: Add smtp.el and smtpmail.el.

1998-11-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Abolish function `eliminate-top-spaces' because it
	is not used in FLIM.

1998-11-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-mailbox-to-rword-list): Fix
	problem in `eword-encode-addresses-to-rword-list'.

1998-11-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-full-name-string): fixed.

	* std11.el (std11-comment-value-to-string): fixed.

1998-11-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Changes in FLIM 1.12): New section.

1998-11-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-comment-value-to-string): New function.
	(std11-full-name-string): Use `std11-comment-value-to-string'.

	* eword-decode.el (eword-parse-comment): New function.
	(eword-analyze-comment): New implementation; use
	`eword-parse-comment'; change representation.
	(eword-decode-token): Modify for representation change of comment.


1998-11-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.12.0 (Amagatsuji) was released.

1998-11-14  Tanaka Akira  <akr@jaist.ac.jp>

	* mel-b-ccl.el (ccl-cascading-read): Check consistency.

1998-11-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-structured-field-body): Abolish
	non-used local variable.

1998-11-12  Tanaka Akira  <akr@jaist.ac.jp>

	* mel-b-ccl.el (mel-ccl-decode-b): Check `ccl-cascading-read' to
	select implementation.

1998-11-12  Tanaka Akira  <akr@jaist.ac.jp>

	* mel-q-ccl.el (mel-ccl-encode-quoted-printable-generic): workaround
	for mule-2.3@19.34.

1998-11-12  Tanaka Akira  <akr@jaist.ac.jp>

	* mel.el (mel-b-builtin): New variable.

1998-11-10  Tanaka Akira  <akr@jaist.ac.jp>

	* FLIM-ELS: require 'pccl.
	(flim-modules): Check CCL availability by broken facility.

1998-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-structured-field-body): New
	implementation; abolish optional argument `must-unfold'; delete
	DOC-string.
	(eword-decode-and-unfold-structured-field-body): Renamed from
	`eword-decode-and-unfold-structured-field'; delete DOC-string.
	(eword-decode-and-fold-structured-field-body): Renamed from
	`eword-decode-and-fold-structured-field'; abolish optional
	argument `must-unfold'; delete DOC-string.
	(eword-decode-unstructured-field-body): Abolish optional argument
	`must-unfold'; delete DOC-string.
	(eword-decode-and-unfold-unstructured-field-body): Renamed from
	`eword-decode-and-unfold-unstructured-field'; delete DOC-string.
	(eword-decode-unfolded-unstructured-field-body): New function.

1998-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmgeneric.el (mime-insert-header-from-buffer): Use
	`mime-find-field-presentation-method' and
	`mime-find-field-decoder-internal'.

	* eword-decode.el (mime-find-field-presentation-method): New
	macro.
	(mime-find-field-decoder-internal): New function.
	(mime-find-field-decoder): New implementation (use
	mime-find-field-decoder-internal).
	(mime-decode-header-in-region): Use
	`mime-find-field-presentation-method' and
	`mime-find-field-decoder-internal'.

1998-11-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmgeneric.el (mime-insert-header-from-buffer): Rename
	field-presentation-mode `folding' to `wide'.

	* eword-decode.el: Rename field-presentation-modes from `native',
	`folding', `unfolding', `unfolding-xover' to `plain', `wide',
	`summary', `nov'.

1998-11-07  Tanaka Akira  <akr@jaist.ac.jp>

	* eword-decode.el (mime-set-field-decoder): Add mode `unfolding-xover'.
	(mime-find-field-decoder): Ditto.

1998-11-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-phrase-route-addr-to-rword-list):
	Don't delete the front spaces.
	(eword-encode-addresses-to-rword-list): Don't supplement space;
	use `nconc' instead of `append'.
	(eword-encode-msg-id-to-rword-list): Supplement the front space;
	use `nconc' instead of `append'.

1998-11-02  Tanaka Akira  <akr@jaist.ac.jp>

	* eword-decode.el (mime-field-decoder-cache): New variable.
	(mime-find-field-decoder): Use `mime-field-decoder-cache'.
	(mime-update-field-decoder-cache): New variable.
	(mime-update-field-decoder-cache): New function.
	(mime-decode-header-in-region): Use `mime-field-decoder-cache'.

	* mmgeneric.el (mime-insert-header-from-buffer): Use
	`mime-field-decoder-cache'.

1998-11-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (mime-decode-header-in-region): New function.
	(mime-decode-header-in-buffer): Use function
	`mime-decode-header-in-region'.

1998-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmgeneric.el (mime-insert-header-from-buffer): Refer
	`mime-field-decoder-alist' instead of hard-coding.

	* mime.el (mime-read-field): Use `mime-decode-field-body'.

	* eword-decode.el (eword-decode-and-unfold-structured-field): Add
	optional dummy argument `start-column' and `max-column'.
	(eword-decode-structured-field-body): Change interface.
	(eword-decode-unstructured-field-body): Change interface to add
	optional dummy argument `start-column' and `max-column'.
	(eword-decode-and-unfold-unstructured-field): Add optional dummy
	argument `start-column' and `max-column'.
	(mime-field-decoder-alist): New variable; abolish user option
	`eword-decode-ignored-field-list' and
	`eword-decode-structured-field-list'.
	(mime-set-field-decoder): New function.
	(mime-find-field-decoder): New function.
	(mime-decode-field-body): New function; abolish function
	`eword-decode-field-body'.
	(mime-decode-header-in-buffer): Renamed from
	`eword-decode-header'; refer `mime-field-decoder-alist' instead of
	hard-coding; add obsolete alias `eword-decode-header'.

1998-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Avoid compile error when edebug is missing.


1998-10-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.11.3 (Saidaiji) was released.

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* VERSION: New file (Renamed from FLIM-VERSION).

1998-10-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-char-type): Return nil for ?\n.

1998-10-27  Tanaka Akira      <akr@jaist.ac.jp>

	* eword-encode.el (eword-encode-field-body): Unfold `field-body'.

1998-10-27  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* README.ja: Update.


1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.11.2 (Heij-Dò) was released.-A

	* NEWS (Abolish variable `mime-temp-directory'): New subsection.

	* README.en (Installation): Modify for APEL 9.6.

1998-10-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-field-body): Don't eliminate
	top-spaces.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS (flim-modules): Don't install mel-b-el for Emacs 20.4.

1998-10-25  Tanaka Akira      <akr@jaist.ac.jp>

	* eword-decode.el (eword-decode-field-body): Refine implementation.

1998-10-24  Tanaka Akira      <akr@jaist.ac.jp>

	* mel-b-ccl.el, mel-q-ccl.el, mel.el, FLIM-ELS: Divide mel-ccl.el
	into mel-b-ccl.el and mel-q-ccl.el.

1998-09-11  Tanaka Akira      <akr@jaist.ac.jp>

	* mel.el (base64-encoded-length): New implementation.

1998-10-25  Tanaka Akira      <akr@jaist.ac.jp>

	* eword-decode.el (eword-decode-field-body): New function.

1998-10-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-field-body): Change interface.
	(eword-encode-header): Use `eword-encode-field-body'; abolish
	function `eword-encode-field'.

1998-10-25  Tanaka Akira  <akr@jaist.ac.jp>

	* eword-encode.el (eword-encode-field-body): New function.
	(eword-encode-field): Use `eword-encode-field-body'.

1998-10-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el, mel-b-el.el, FLIM-ELS: Rename mel-b.el -> mel-b-el.el.

1998-10-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-u.el (uuencode-external-decode-region): Use
	`temporary-file-directory' instead of `mime-temp-directory'.
	(mime-write-decoded-region): Likewise.

	* mime-def.el: Abolish variable `mime-temp-directory'.

1998-10-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmgeneric.el (mime-insert-header-from-buffer): New function.
	(insert-header): Use `mime-insert-header-from-buffer'.

1998-10-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS: Don't install mel-b-dl.el if the running emacs has
	builtin base64 encoder/decoder.

	* mel.el: Set up builtin base64 encoder/decoder if they are
	available.

	* mime-def.el (base64-dl-module): Set nil as initial value if the
	running emacs has builtin base64 encoder/decoder.

	* mel-b.el: Require `poe' instead of `emu'.
	(base64-encode-string): Use `defun-maybe'.
	(base64-encode-region): Likewise.
	(base64-decode-region): Likewise.
	(base64-decode-string): Likewise.

	* mel-b-dl.el: Require `poe' instead of `emu'.


1998-10-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.11.1 (Takanohara) was released.

1998-10-22  Yoshiki Hayashi   <g740685@komaba.ecc.u-tokyo.ac.jp>

	* README.ja: New file.

1998-10-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Require mcharset.

1998-10-20  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mel-u.el (mime-write-decoded-region): Fix typo.

	* mime-def.el: Enclose defining procedure for the constants
	`std11-quoted-pair-regexp', `std11-non-qtext-char-list' and
	`std11-qtext-regexp' with `eval-and-compile'.

1998-10-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS (Behavior change of `mime-insert-header'): New subsection.

	* mmgeneric.el (insert-header): Include `:' in field-name.

1998-10-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (std11-qtext-regexp): Use `eval-when-compile'; don't
	use `char-list-to-string'.
	(std11-quoted-string-regexp): Use `eval-when-compile'.
	- Use `def-edebug-spec' to define edebug-form-spec of
	  mm-define-method; fix definition of edebug-form-spec of
	  mm-define-method.

1998-10-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml, mime-ja.sgml (Header encoder/decoder): Add
	description about `eword-field-encoding-method-alist'.

	* mime-en.sgml (Header encoder/decoder): Modify description about
	`eword-encode-header'.

	* mime-ja.sgml (Header encoder/decoder): Translate.

1998-10-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (entity formatting): Fix typo in description of
	`default-mime-charset'.

	* mime-en.sgml (Header encoder/decoder): Modify description of
	`eword-decode-header'.

	* mime-ja.sgml, mime-en.sgml (Header encoder/decoder): fix typo.

	* mime-en.sgml (encoder/decoder): Translate description of
	`mime-decode-string'.

1998-10-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (Content-Disposition parser): Modify description.

	* mime-en.sgml (Content-Type parser): Modify description.

1998-10-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (Content-Transfer-Encoding parser): Translate.


1998-10-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.11.0 (Yamadagawa) was released.

1998-10-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml, mime-en.sgml (entity formatting): Add description
	about `mime-insert-text-content'.

1998-10-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml, mime-en.sgml (entity formatting): New node; move
	`mime-insert-header' from `Entity-header'; move
	`default-mime-charset' from `custom'.

1998-10-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml, mime-ja.sgml (Entity-header): Generic function
	`mime-insert-decoded-header' was renamed to `mime-insert-header'.

1998-10-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* NEWS: New file.

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-insert-header): Renamed from
	`mime-insert-decoded-header'; define `mime-insert-decoded-header'
	as an obsolete alias.

	* mmgeneric.el, mmcooked.el (insert-header): Renamed from
	`insert-decoded-header'.

	* README.en (Installation): Add required version of APEL.

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-g.el: Require mel.

	* mel-g.el: Require poem instead of emu.

1998-10-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-insert-text-content): New generic function.

	* mmcooked.el, mmgeneric.el (insert-text-content): New method.

1998-10-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-unfold-string): New implementation.

1998-10-02  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmgeneric.el: New module.

	* mmbuffer.el: Use `generic' as mother backend.

	* FLIM-ELS (flim-modules): Add mmgeneric.

1998-10-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-message): Modify for
	`make-mime-entity-internal'.

	* mime-def.el (make-mime-entity-internal): Change interface to be
	able to specify original-header and parsed-header.

1998-09-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-and-unfold-unstructured-field):
	New function.

1998-09-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-entity-content-type): New implementation.
	(mime-entity-content-disposition): New implementation.
	(mime-entity-encoding): New implementation.

	* mime.el (mime-fetch-field): Refer internal slots for Date,
	Message-Id and References fields.

	* mime-parse.el (mime-parse-message): Modify for
	`make-mime-entity-internal'.

	* mime-def.el: Change `mime-entity-*-internal' and
	`mime-entity-set-*-internal' to macro.
	(make-mime-entity-internal): Change interface and data format for
	NOV data; changed to macro.
	(mime-entity-set-location-internal): New macro.
	(mime-entity-decoded-subject-internal): New macro.
	(mime-entity-set-decoded-subject-internal): New macro.
	(mime-entity-decoded-from-internal): New macro.
	(mime-entity-set-decoded-from-internal): New macro.
	(mime-entity-date-internal): New macro.
	(mime-entity-set-date-internal): New macro.
	(mime-entity-message-id-internal): New macro.
	(mime-entity-set-message-id-internal): New macro.
	(mime-entity-references-internal): New macro.
	(mime-entity-set-references-internal): New macro.
	(mime-entity-chars-internal): New macro.
	(mime-entity-set-chars-internal): New macro.
	(mime-entity-lines-internal): New macro.
	(mime-entity-set-lines-internal): New macro.
	(mime-entity-xref-internal): New macro.
	(mime-entity-set-xref-internal): New macro.
	(mime-entity-original-header-internal): Modify for new structure;
	changed to macro.
	(mime-entity-set-original-header-internal): Likewise.
	(mime-entity-parsed-header-internal): Likewise.
	(mime-entity-set-parsed-header-internal): Likewise.
	(mime-entity-buffer-internal): Likewise.
	(mime-entity-set-buffer-internal): Likewise.
	(mime-entity-header-start-internal): Likewise.
	(mime-entity-set-header-start-internal): Likewise.
	(mime-entity-header-end-internal): Likewise.
	(mime-entity-set-header-end-internal): Likewise.
	(mime-entity-body-start-internal): Likewise.
	(mime-entity-set-body-start-internal): Likewise.
	(mime-entity-body-end-internal): Likewise.
	(mime-entity-set-body-end-internal): Likewise.


1998-10-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.10.5 (Kizugawadai) was released.

	* mel.el: Must require poem.


1998-10-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.10.4 (Shin-H-Dòsono) was released.-A

1998-10-12  Katsumi Yamaoka   <yamaoka@jpl.org>

	* README.en: Add explanation about `VERSION_SPECIFIC_LISPDIR'.

	* Makefile (install): Add new arg `VERSION_SPECIFIC_LISPDIR'.
	(elc): Likewise.

	* FLIM-MK (config-flim): Refer to `VERSION_SPECIFIC_LISPDIR'.

	* FLIM-CFG (VERSION_SPECIFIC_LISPDIR): New variable.

1998-10-12  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (mel-ccl-module): Require path-util when the running
	emacs has MULE.

	* mel.el: Don't require emu.

1998-10-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS: Don't install mel-ccl in anything older than XEmacs 21
	with MULE.


1998-10-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.10.3 (Komada) was released.

	* mel-ccl.el (base64-ccl-write-decoded-region): bind
	`jka-compr-compression-info-list' with nil.

	* mel-b.el (base64-internal-decoding-limit): Switch default value
	between XEmacs-mule and other emacsen.
	Abolish function `base64-decode-string!'.
	(base64-internal-decode-region): New implementation.
	(base64-insert-encoded-file): New function.
	(mime-insert-encoded-file): Use `base64-insert-encoded-file'.
	(base64-write-decoded-region): New function.
	(mime-write-decoded-region): Use `base64-write-decoded-region'.

	* mel-b-dl.el (decode-base64-region): Renamed from
	`base64-decode-region'.
	(mime-insert-encoded-file): Change temporary-buffer to unibyte
	representation.  Abolish method `mime-write-decoded-region'
	because it is slower than CCL based implementation.

1998-10-09  Tanaka Akira <akr@jaist.ac.jp>

	* mel-ccl.el: Check `ccl-execute-eof-block-on-decoding-some'
	facility instead of `ccl-execute-eof-block-on-encoding-some'.

1998-10-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-characters): Enclose with `eval-and-compile'.

	* eword-decode.el (eword-encoded-text-regexp): Enclose with
	`eval-and-compile'.
	(eword-encoded-word-regexp): Use `eval-when-compile'.

1998-10-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-max-size-to-decode): New user option.
	(eword-decode-and-fold-structured-field): Do nothing if size of
	input is bigger than `eword-max-size-to-decode'.

1998-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-numbers): Use `eval-when-compile'.

1998-10-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* FLIM-CFG: Use `add-latest-path' instead of `add-path' for adding
	"custom" to load-path.

1998-10-09  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mime-def.el (mime-library-product): Enclose with
	`eval-and-compile'.

	* FLIM-CFG: Add "custom" to load-path.


1998-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.10.2 (Kintetsu-Miyazu) was released.

	* mime-def.el, mel.el, mel-b-dl.el: Move variable
	`base64-dl-module' from mel-b-dl.el and mel.el to mime-def.el.

1998-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (mel-ccl-module): New variable; use it to check mel-ccl
	is available.

	* FLIM-ELS: Don't install mel-ccl for anything older than MULE
	2.3.

1998-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-u.el: Use `mel-define-backend' to define "x-uue".
	Define "x-uuencode" as a clone of "x-uue".

	* Move variable `mel-encoding-module-alist' from mel.el to
	mime-def.el.

	* mel.el (mel-find-function): Use function
	`mel-find-function-from-obarray'.
	Use `mel-define-backend' to define "7bit", "8bit" and "binary";
	don't define methods of "8bit" and "binary"; inherit methods from
	"7bit".

	* mime-def.el (mel-service-list): New variable.
	(mel-define-service): New implementation.
	(mel-find-function-from-obarray): New inline function.
	(mel-copy-method): New inline function.
	(mel-copy-backend): New inline function.
	(mel-define-backend): New macro.

1998-10-08  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-u.el: Define method functions of mel.
	(mime-encode-region): Use `mel-define-method-function'; abolish
	`uuencode-encode-region'.
	(mime-decode-region): Use `mel-define-method-function'; abolish
	`uuencode-decode-region'.
	(mime-encode-string): New method.
	(mime-decode-string): New method.
	(mime-insert-encoded-file): Use `mel-define-method'; abolish
	`uuencode-insert-encoded-file'.
	(mime-write-decoded-region): Use `mel-define-method'; abolish
	`uuencode-write-decoded-region'.

1998-10-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mel-define-service): Add DOC.
	(mel-define-method): Add DOC.
	(mel-define-method-function): Add DOC.

	* mime-en.sgml, mime-ja.sgml: Modify for FLIM 1.10.


1998-10-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.10.1 (Miyamaki) was released.

1998-10-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-g.el: Define method functions of mel.
	(mime-encode-region): Use `mel-define-method-function'; abolish
	`gzip64-encode-region'.
	(mime-decode-region): Use `mel-define-method-function'; abolish
	`gzip64-decode-region'.
	(mime-encode-string): New method.
	(mime-decode-string): New method.
	(mime-insert-encoded-file): Use `mel-define-method'; abolish
	`gzip64-insert-encoded-file'.
	(mime-write-decoded-region): Use `mel-define-method'; abolish
	`gzip64-write-decoded-region'.

	* mime-def.el (mime-library-product): New variable; abolish
	`mime-library-version'.
	(mime-product-name): New macro.
	(mime-product-version): New macro.
	(mime-product-code-name): New macro.
	(mime-library-version): Renamed from
	`mime-library-version-string'; use `mime-library-product',
	`mime-product-name', `mime-product-version' and
	`mime-product-code-name'.

	* mime-def.el (mm-define-backend): Add DOC.
	(mm-define-method): Add DOC.

	* mel.el (mime-encoding-list): Modify DOC to add description about
	optional argument SERVICE.

1998-10-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml, mime-en.sgml (mm-backend module): Write
	description of `mm-define-backend' and `mm-define-method'.


1998-09-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.10.0 (K-Dòdo) was released.-A

	* README.en (What's FLIM): Add mel-ccl.el.

1998-09-21  Tanaka Akira      <akr@jaist.ac.jp>

	* mel-ccl.el:
	  - Require 'pccl instead of 'emu.
	  - Use `unless-broken' to check facility.

1998-09-27  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (mime-encoding-list): New user option (renamed from
	`mime-content-transfer-encoding-list').
	(mime-encoding-list): New function.
	(mime-encoding-alist): New function.
	(mime-encode-region): Use `mime-encoding-alist' for completion.
	(mime-decode-region): Likewise.
	(mime-insert-encoded-file): Likewise.
	(mime-write-decoded-region): Likewise.

1998-09-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-structured-field-list): Add
	Mail-Followup-To field.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-charset-encoding-alist): Add utf-8.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (mime-content-transfer-encoding-list): New user option.
	(mime-encode-region): Use `mime-content-transfer-encoding-list'
	for completion.
	(mime-decode-region): Likewise.
	(mime-insert-encoded-file): Likewise.
	(mime-write-decoded-region): Likewise.

	* mel.el (mime-write-decoded-region): fix typo.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mel-define-method-function): Don't override.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el, mel-ccl.el, FLIM-ELS: Add mel-ccl.el.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-dl.el, README.en, FLIM-ELS: Rename mel-dl.el to mel-b-dl.el.

	* mel.el: - Rename mel-dl.el to mel-b-dl.el.
		  - Move `mel-define-service' to mime-def.el.

	* mime-def.el (mel-define-service): New macro (moved from mel.el);
	fixed problem in Emacs.
	(mel-define-method): Use `mel-define-service'.
	(mel-define-method-function): Use `mel-define-service'.

1998-09-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (mime-encode-region): Don't regard nil encoding as
	"7bit".

1998-09-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-text): Use
	`encoded-text-encode-string'.
	(tm-eword::encoded-word-length): `q-encoding-encoded-length' was
	renamed to `Q-encoded-text-length'.

	* eword-decode.el: Move `base64-token-regexp',
	`base64-token-padding-regexp', `eword-B-encoded-text-regexp' and
	`eword-Q-encoded-text-regexp' to mime-def.el.
	(eword-decode-encoded-text): Use `encoded-text-decode-string'.

	* mel-q.el: Define method functions of mel.
	(mime-insert-encoded-file): Use `mel-define-method'; abolish
	`quoted-printable-insert-encoded-file'.
	(mime-write-decoded-region): Use `mel-define-method'; abolish
	`quoted-printable-write-decoded-region'.
	- Move `q-encoding-printable-char-p' and
	`q-encoding-encoded-length' to mel.el.

	* mel-b.el: Define method functions of mel.
	(mime-insert-encoded-file): Use `mel-define-method'; abolish
	`base64-insert-encoded-file'.
	(mime-write-decoded-region): Use `mel-define-method'; abolish
	`base64-write-decoded-region'.
	- Move `base64-encoded-length' to mel.el.

	* mel-dl.el (base64-encode-region): Define directly (abolish
	`base64-dl-encode-region').
	(base64-decode-region): Define directly (abolish
	`base64-dl-decode-region').  Define method functions of mel.
	(mime-insert-encoded-file): Use `mel-define-method'; abolish
	`base64-insert-encoded-file'; don't use external encoder.
	(mime-write-decoded-region): Use `mel-define-method'; abolish
	`base64-write-decoded-region'; don't use external decoder.
	- Move `base64-encoded-length' to mel.el.

	* mime.el: Move `mm-arglist-to-arguments' to mime-def.el.

	* mime-def.el (base64-token-regexp): New constant (moved from
	eword-decode.el).
	(base64-token-padding-regexp): Likewise.
	(B-encoded-text-regexp): New constant (moved from eword-decode.el,
	and renamed from `eword-B-encoded-text-regexp').
	(Q-encoded-text-regexp): New constant (moved from eword-decode.el,
	and renamed from `eword-Q-encoded-text-regexp'.
	(mm-arglist-to-arguments): New function (moved from mime.el).
	(mel-define-method): New macro.
	(mel-define-method-function): New macro.
	(mel-define-function): New macro.

	* mel.el (mel-encoding-module-alist): New variable.
	(mel-use-module): New function.
	(mel-find-function): New function.
	(mel-define-service): New macro.
	(mime-encode-region): Use `mel-find-function'; abolish variable
	`mime-encoding-method-alist'.
	(mime-decode-region): Use `mel-find-function'; abolish variable
	`mime-decoding-method-alist'.
	(mime-decode-string): Use `mel-find-function'; abolish variable
	`mime-string-decoding-method-alist'.
	(encoded-text-encode-string): New function.
	(encoded-text-decode-string): New function.
	(base64-encoded-length): New function (moved from mel-b.el and
	mel-dl.el).
	(Q-encoding-printable-char-p): New function (moved from mel-q.el,
	and renamed from `q-encoding-printable-char-p').
	(Q-encoded-text-length): New function (moved from mel-q.el, and
	renamed from `q-encoding-encoded-length').
	(mime-insert-encoded-file): Use `mel-find-function'; abolish
	variable `mime-file-encoding-method-alist'.
	(mime-write-decoded-region): Use `mel-find-function'; abolish
	variable `mime-file-decoding-method-alist'.

1998-09-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-internal-encoding-limit): modify :type.
	(base64-internal-decoding-limit): Change initial value to 70000;
	modify :type.

	* mel-b.el (base64-decode-string!): Renamed from
	`base64-internal-decode-string!'.

1998-09-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-characters): New constant.
	(base64-num-to-char): Use `base64-characters'.
	(base64-numbers): Use `base64-characters'.
	(base64-internal-decode): Modify calculation third byte.

	* mel-dl.el (base64-dl-encode-string): New alias.
	(base64-dl-decode-string): New alias.
	(base64-dl-encode-region): Renamed from `base64-encode-region';
	don't save-excursion and save-restriction.
	(base64-dl-decode-region): Renamed from `base64-decode-region';
	don't save-excursion and save-restriction; convert all at once.
	(base64-encode-region): New alias.
	(base64-decode-region): New alias.

	* mel-b.el (base64-internal-decode): New function.
	(base64-internal-decode-string): Use `base64-internal-decode'.
	(base64-internal-decode-string!): New function.
	(base64-internal-decode-region): Use
	`base64-internal-decode-string!' instead of
	`base64-internal-decode-string'.

1998-09-15  Tanaka Akira  <akr@jaist.ac.jp>

	* mel-b.el (base64-numbers): Fix a position of 63.

1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-numbers): New constant.
	(base64-char-to-num): New macro.
	(base64-internal-decode-string): Don't use memq.

1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64): New group.
	(base64-external-encoder): Now a user option.
	(base64-external-decoder): Now a user option.
	(base64-external-decoder-option-to-specify-file): Now a user
	option.
	(base64-internal-encoding-limit): Now a user option.
	(base64-internal-decoding-limit): Now a user option.

	* mel-b.el (base64-internal-decode-string): New implementation;
	abolish function `base64-decode-unit'.

1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (Installation): Fix typo.


1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.9.2 (Shin-Tanabe) was released.

	* README.en (Installation): Add `install as a XEmacs package'.

1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (Encoding Method): Translate.

1998-09-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-msg-id-to-rword-list): New
	function.
	(eword-encode-in-reply-to-to-rword-list): New function.
	(eword-encode-in-reply-to): New function.
	(eword-encode-field): Use `eword-encode-in-reply-to' for
	`In-Reply-To' field.

	* std11.el (std11-parse-in-reply-to): New function.

1998-09-14  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-structured-field-list): Add
	`User-Agent'.

1998-09-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (package): Don't update auto-autoloads.el and
	custom-load.el.

	* FLIM-MK (compile-flim-package): Update auto-autoloads.el and
	custom-load.el.

1998-09-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Abolish function `butlast' and `nbutlast'.

	* mime-def.el (mime-library-version): New constant.
	(mime-library-version-string): Refer `mime-library-version'.

1998-09-11  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (XEMACS): New variable.
	(PACKAGEDIR): New variable.
	(package): New target.
	(install-package): New target.

	* FLIM-CFG (PACKAGEDIR): New variable.

	* FLIM-MK (config-flim-package): New function.
	(compile-flim-package): New function.
	(install-flim-package): New function.

1998-09-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (Content-Type field): Translate.
	(mime-content-type): Translate.
	(Content-Type parser): Translate.
	(Content-Disposition): Translate.
	(mime-content-disposition): Translate.
	(Content-Disposition parser): Translate.

1998-09-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile (GOMI): Add Texinfo related garbages.
	(clean): Delete historical setting.

1998-09-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (mm-backend): Translate.
	(Request for entity): Likewise.
	(mm-backend module): Likewise.

	* mime.el (mime-entity-send): Add DOC-string.

1998-09-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml (Entity hierarchy): Translate.

1998-09-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml, mime-ja.sgml (Entity): Rearrangement.


1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.9.1 (Tonosh-Dò) was released.-A

	* mime-en.sgml (mm-backend): Translate a little.

1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-default-start-column): New user
	option.
	(eword-encode-string): Use `eword-encode-default-start-column'.
	(eword-encode-address-list): Likewise.
	(eword-encode-structured-field-body): Likewise.
	(eword-encode-unstructured-field-body): Likewise.

1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode): New group.
	(eword-field-encoding-method-alist): Now a user option (was:
	variable).

1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el: Rename `tm-eword::mailbox-to-rwl' ->
	`eword-encode-mailbox-to-rword-list'.

	* eword-encode.el: Rename `tm-eword::phrase-to-rwl' ->
	`eword-encode-phrase-to-rword-list'.

	* eword-encode.el: Rename `eword-addr-spec-to-rwl' ->
	`eword-encode-addr-spec-to-rword-list'.

	* eword-encode.el: Rename `eword-phrase-route-addr-to-rwl' ->
	`eword-encode-phrase-route-addr-to-rword-list'.

	* eword-encode.el: Rename `eword-addr-seq-to-rwl' ->
	`eword-encode-addr-seq-to-rword-list'.

	* eword-encode.el: Rename `tm-eword::split-string' ->
	`eword-encode-split-string'.

	* eword-encode.el: Rename `tm-eword::addresses-to-rwl' ->
	`eword-encode-addresses-to-rword-list'.

	* eword-encode.el: Rename `tm-eword::encode-rwl' ->
	`eword-encode-rword-list'.

	* eword-encode.el (eword-encode-unstructured-field-body): New
	function.
	(eword-encode-field): Use `eword-encode-unstructured-field-body'.

1998-08-31  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-string): Add DOC-string.
	(eword-encode-address-list): Likewise.
	(eword-encode-structured-field-body): Likewise.

	* eword-encode.el (eword-encode-field): Regard `In-Reply-To' as a
	structured field.

1998-08-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-field): Use `capitalize' instead
 	of `downcase' for `field-name'.

	* eword-encode.el (eword-encode-structured-field-body): New
 	function.
	(eword-encode-field): Use `eword-encode-structured-field-body' for
 	"MIME-Version" and "User-Agent" field.

1998-08-26  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-def.el (mm-define-method): Put `edebug-form-spec'.

1998-08-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-address-list): New function.
	(eword-encode-field): Use `eword-encode-address-list' instead of
 	`tm-eword::encode-address-list'; abolish
 	`tm-eword::encode-address-list'.

	* eword-encode.el (eword-encode-field): Use `eword-encode-string'
 	instead of `tm-eword::encode-string'; abolish
 	`tm-eword::encode-string'.

	* eword-encode.el: Rename `tm-eword::make-rword' ->
 	`make-ew-rword'; rename `tm-eword::rword-' -> `ew-rword-'.

1998-08-26  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mel-b.el (base64-insert-encoded-file): Conditionally use
	internal converter. (cf. [tm-ja:3320])
	(base64-write-decoded-region): Ditto.

1998-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS (flim-modules): Don't add `mel-dl' unconditionally.

1998-08-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Delete mime-lib.el.

1998-08-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el (write-entity): `write-region-as-CRLF' was renamed
	to `write-region-as-raw-text-CRLF'.

1998-08-07  MORIOKA Tomohiko  <morioka@yo.rim.or.jp>

	* mmbuffer.el (write-entity): Use `write-region-as-CRLF' instead
	of `write-region-as-binary'.


1998-07-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.9.0 (Terada) was released.

1998-07-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-multipart): Set message/x-broken if
	parsing is failed.

1998-07-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el (entity-children): Don't use
	`mime-entity-children-internal'.

	* mime-parse.el (mime-parse-multipart): Modify for
	`mime-parse-message'; return children.
	(mime-parse-encapsulated): Likewise.
	(mime-parse-message): Change interface; delete DOC-string; don't
	parse children instantly.
	(mime-parse-buffer): Modify for `mime-parse-message'.

	* mime-parse.el (mime-parse-message): Delete autoload cookie.

	* mime.el: Delete autoload setting for `mime-parse-message'.

	* mime-en.sgml, mime-ja.sgml (Entity creation): Delete description
	of `mime-parse-message'; modify description of `mime-parse-buffer'
	to add `representation-type'.


1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-Chao: Version 1.8.0 (Shij-Dò) was released.-A

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmcooked.el: Abolish method `open'.

	* mmbuffer.el (initialize-instance): New method; abolish `open'.
	(entity-children): New method.

	* mime.el (mime-open-entity): Send `initialize-instance' to
	created message.
	(mime-entity-children): New implementation.
	(mime-entity-parent): New implementation.
	(mime-root-entity-p): New implementation.

	* mime-parse.el (mime-parse-multipart): Specify current entity as
	parent.
	(mime-parse-encapsulated): Likewise.
	(mime-parse-message): Change interface to specify parent; modify
	for `make-mime-entity-internal'.
	(mime-parse-buffer): Modify for `mime-parse-message'.

	* mime-def.el (make-mime-entity-internal): Change interface; add
	format of `mime-entity' to add `parent'.

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el (mime-visible-field-p): Renamed from
	`eword-visible-field-p'.

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mm-arglist-to-arguments): New function.
	(mm-define-generic): New macro.
	(mime-entity-cooked-p): Use `mm-define-generic'.
	(mime-entity-point-min): Use `mm-define-generic'.
	(mime-insert-decoded-header): Use `mm-define-generic'.
	(mime-entity-content): Use `mm-define-generic'.
	(mime-write-entity-content): Use `mm-define-generic'.
	(mime-write-entity): Use `mm-define-generic'.
	(mime-write-entity-body): Use `mm-define-generic'.

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el (eword-visible-field-p): Moved from mime.el.

	* mime.el: Move `eword-visible-field-p' to mmbuffer.el.
	(mime-write-entity-body): Change message to `write-body'.

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmcooked.el, mmbuffer.el (open): Renamed from `open-entity'.

	* mime.el (mime-open-entity): Change message to `open'.

	* mime-def.el (mm-define-backend): Must `copy-alist'.

1998-07-07  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmcooked.el, mmbuffer.el: Use `mm-define-backend' and
	`mm-define-method'.

	* mime.el: Move `mime-entity-implementation-alist' to mime-def.el.
	(mime-find-function): New implementation.
	(mime-entity-cooked-p): Use `mime-entity-send'.

	* mime-def.el (mime-entity-implementation-alist): Moved from
	mime.el.
	(mm-define-backend): New macro.
	(mm-define-method): New macro.


1998-07-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.8.1 (Kutsukawa) was released.

1998-07-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-en.sgml, mime-ja.sgml (Entity Attributes): Add description
	about `default-encoding' of `mime-entity-encoding'.

	* mime-en.texi, mime-en.sgml: New files.

	* mime-ja.sgml (media-type): Fix typo.

	* mime-ja.sgml (Glossary): Fix order.

	* mime-ja.sgml (Entity Attributes): Use <code> tag for nil.

	* mime-ja.sgml (Entity Attributes): Fix typo.

1998-07-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-entity-encoding): Add new optional argument
	`default-encoding'; set default encoding if
	Content-Transfer-Encoding field is not found.

1998-07-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmbuffer.el (mmbuffer-write-entity): Use
	`mime-entity-buffer-internal', `mmbuffer-entity-point-min' and
	`mmbuffer-entity-point-max'.
	(mmbuffer-write-entity-body): Use `mime-entity-buffer-internal',
	`mime-entity-body-start-internal' and
	`mime-entity-body-end-internal'.
	(mmbuffer-insert-decoded-header): Use
	`mime-entity-buffer-internal', `mime-entity-header-start-internal'
	and `mime-entity-header-end-internal'.


1998-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.8.0 (-DÒkubo) was released.-A

	* README.en: Delete `How to use'.

1998-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml (Entity creation): Add reference for `mm-backend'
	in description of `mime-open-entity'.

	* mime-ja.sgml (mm-backend): New section.

1998-07-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml (Entity-header): Modify description about
	`mime-insert-decoded-header'.

	* mmcooked.el (mmcooked-insert-decoded-header): New function.

	* mmbuffer.el (mmbuffer-insert-decoded-header): New function.

	* mime.el (mime-insert-decoded-header): Use implementation of
	mm-backend; abolish optional argument `code-conversion'.

1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-encoded-text): Use
	`decode-mime-charset-string'.

1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmcooked.el (mmcooked-write-entity-body): New function.

	* mmbuffer.el (mmbuffer-write-entity-body): New function.

	* mime.el (mime-write-entity-body): Use implementation of
	mm-backend.

1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmcooked.el (mmcooked-write-entity): New function.

	* mmbuffer.el (mmbuffer-write-entity): New function.

	* mime.el (mime-write-entity): Use implementation of mm-backend.

1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mmcooked.el (mmcooked-entity-content): New alias for
	`mmbuffer-entity-content'.
	(mmcooked-write-entity-content): New function.

	* mmbuffer.el (mmbuffer-entity-content): New function.
	(mmbuffer-write-entity-content): New function.

	* mime.el (mime-entity-send): New function.
	(mime-entity-buffer): Use `mime-entity-send'.
	(mime-entity-point-min): Likewise.
	(mime-entity-point-max): Likewise.
	(mime-entity-header-start): Likewise.
	(mime-entity-header-end): Likewise.
	(mime-entity-body-start): Likewise.
	(mime-entity-body-end): Likewise.
	(mime-fetch-field): Likewise.
	(mime-entity-content): Use implementation of mm-backend.
	(mime-write-entity-content): Likewise.


1998-06-30  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.7.0 (Iseda) was released.

	* mime-ja.sgml (Entity creation): Add description of
	`mime-open-entity'.
	(Entity Attributes): Add description of `mime-entity-cooked-p'.
	(Entity-content): Add description of `mime-write-entity-content',
	`mime-write-entity' and `mime-write-entity-body'.

1998-06-29  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-write-entity-content): New function.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-write-entity-body): New function.

	* mime.el (mime-write-entity): New function.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-multipart): Change media-type of
	entity to application/octet-stream if the first delimiter is not
	found.

1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS (flim-modules): Add `mmbuffer' and `mmcooked'.

	* mmcooked.el: New file.

	* mmbuffer.el: New file.

	* mime.el (mime-entity-implementation-alist): New variable.
	(mime-find-function): New function.
	(mime-open-entity): New function.
	(mime-entity-function): New function.
	(mime-entity-cooked-p): New function.
	(mime-entity-buffer): Use backend-module.
	(mime-entity-point-min): Likewise.
	(mime-entity-point-max): Likewise.
	(mime-entity-header-start): Likewise.
	(mime-entity-header-end): Likewise.
	(mime-entity-body-start): Likewise.
	(mime-entity-body-end): Likewise.
	(mime-fetch-field): Likewise.

	* mime-parse.el (mime-parse-message): New optional argument
	`representation-type'.
	(mime-parse-buffer): Likewise.

	* mime-def.el: Change format of mime-entity-internal to add
	`representation-type' and `location'.


1998-06-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-Chao: Version 1.7.0 (Goj-Dò) was released.-A

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml: Modify for FLIM 1.7.

	* mime.el (mime-entity-number): Add DOC.

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-entity-encoding): New implementation.

	* mime-parse.el (mime-parse-message): Abolish argument `encoding'.

	* mime-def.el (make-mime-entity-internal): Abolish argument
	`encoding'.
	(mime-entity-set-encoding-internal): New function.

1998-06-26  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime.el (mime-entity-content-disposition): New implementation.

	* mime-parse.el (mime-parse-message): Don't parse
	Content-Disposition.

	* mime-def.el (make-mime-entity-internal): Delete argument
	`content-disposition'.
	(mime-entity-set-content-disposition-internal): New function.

1998-06-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el: Move function `eword-visible-field-p' and
	`mime-insert-decoded-header' to mime.el.

	* mime-parse.el: Use internal functions of mime-entity.

	* mime.el (mime-entity-children): Moved from mime-def.el; use
	`mime-entity-children-internal'.
	(mime-entity-node-id): Moved from mime-def.el; use
	`mime-entity-node-id-internal'.
	(mime-entity-number): Moved from mime-def.el; use
	`mime-entity-node-id-internal'.
	(mime-entity-buffer): Moved from mime-def.el; use
	`mime-entity-buffer-internal'.
	(mime-entity-point-min): Moved from mime-def.el; use
	`mime-entity-header-start-internal'.
	(mime-entity-point-max): Moved from mime-def.el; use
	`mime-entity-body-end-internal'.
	(mime-entity-header-start): Moved from mime-def.el; use
	`mime-entity-header-start-internal'.
	(mime-entity-header-end): Moved from mime-def.el; use
	`mime-entity-header-end-internal'.
	(mime-entity-content-type): Moved from mime-def.el; use
	`mime-entity-content-type-internal'.
	(mime-entity-content-disposition): Moved from mime-def.el; use
	`mime-entity-content-disposition-internal'.
	(mime-entity-encoding): Moved from mime-def.el; use
	`mime-entity-encoding-internal'.
	(mime-fetch-field): Use `mime-entity-original-header-internal' and
	`mime-entity-set-original-header-internal'.
	(mime-read-field): Use `mime-entity-parsed-header-internal' and
	`mime-entity-set-parsed-header-internal'.
	(eword-visible-field-p): Moved from eword-decode.el.
	(mime-insert-decoded-header): Moved from eword-decode.el.
	(mime-entity-body-start): Moved from mime-def.el; use
	`mime-entity-body-start-internal'.
	(mime-entity-body-end): Moved from mime-def.el; use
	`mime-entity-body-end-internal'.
	(mime-entity-media-type): Moved from mime-def.el.
	(mime-entity-media-subtype): Moved from mime-def.el.
	(mime-entity-parameters): Moved from mime-def.el.
	(mime-entity-type/subtype): Moved from mime-def.el.

	* mime-def.el (make-mime-entity-internal): Renamed from
	`make-mime-entity'.
	(mime-entity-buffer-internal): New function.
	(mime-entity-header-start-internal): New function.
	(mime-entity-header-end-internal): New function.
	(mime-entity-body-start-internal): New function.
	(mime-entity-body-end-internal): New function.
	(mime-entity-node-id-internal): New function.
	(mime-entity-content-type-internal): New function.
	(mime-entity-content-disposition-internal): New function.
	(mime-entity-encoding-internal): New function.
	(mime-entity-original-header-internal): New function.
	(mime-entity-children-internal): New function.
	(mime-entity-parsed-header-internal): New function.
	(mime-entity-set-original-header-internal): Renamed from
	`mime-entity-set-original-header'.
	(mime-entity-set-children-internal): Renamed from
	`mime-entity-set-children'.
	(mime-entity-set-parsed-header-internal): Renamed from
	`mime-entity-set-parsed-header'.  Move `mime-entity-SLOT'
	functions to mime.el.

1998-06-25  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml (CVS): Fix typo.

1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-parse-encapsulated): New function.
	(mime-parse-message): Use `mime-parse-encapsulated'.

1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mime-entity-set-children): New function.

	* mime-parse.el (mime-parse-multipart): Change interface.
	(mime-parse-message): Use `mime-entity-set-children'.

1998-06-24  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime.el (mime-read-field): Fix typo.


1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.6.0 (Ogura) was released.

	* mime-ja.sgml (Entity Attributes): New section.

	* mime-ja.sgml (Entity as node in message): Add description of
	`mime-find-entity-from-number' and
	`mime-find-entity-from-node-id'.

	* mime.el (mime-find-entity-from-number): New function.
	(mime-find-entity-from-node-id): New function.
	(mime-entity-parent): New function (moved from SEMI MIME-View).
	(mime-entity-uu-filename): New function (moved from SEMI
	MIME-View).
	(mime-entity-filename): New function (moved from SEMI MIME-View).

	* mime-def.el (mime-uuencode-encoding-name-list): New variable.

1998-06-24  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml: Modify for FLIM 1.6.

	* mime.el (mime-fetch-field): New function; abolish
	`mime-entity-fetch-field'.
	(mime-read-field): New function; abolish `mime-entity-read-field'.

1998-06-23  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-ja.sgml, mime-ja.texi: New files.

1998-06-22  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-parse.el (mime-parse-message): Would error if empty body.


1998-06-22  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.5.0 (Mukaijima) was released.

1998-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's FLIM): Modify for mime.el.

	* FLIM-ELS (flim-modules): Add `mime'.

	* mime-lib.el: Move every definitions to mime.el.

	* mime.el: New module (renamed from mime-lib.el).

1998-06-21  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-lib.el: Add autoload setting for eword-encode.el.

	* mime-lib.el (mime-entity-content): New function.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el: Abolish constant `mel-version'.

	* mel.el (mime-string-decoding-method-alist): New variable.
	(mime-decode-string): New function.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-external-decode-string): New function.
	(base64-decode-string): New function.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-q.el (quoted-printable-decode-string): New implementation.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-q.el (quoted-printable-internal-decode-region): New
	implementation.

1998-06-20  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-q.el (q-encoding-decode-string): Use
	`quoted-printable-hex-char-to-num'.

	* mel-q.el (quoted-printable-hex-char-to-num): New function.
	(quoted-printable-decode-string): Use
	`quoted-printable-hex-char-to-num'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el, mime-parse.el: Move `mime-message-structure' from
	mime-parse.el to mime-def.el.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-lib.el, mime-parse.el: Move `mime-root-entity-p' from
	mime-parse.el to mime-lib.el.

	* mime-lib.el: Add autoload setting for mime-parse.el.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el, mime-def.el: Move `mime-entity-point-min',
	`mime-entity-point-max', `mime-entity-media-type',
	`mime-entity-media-subtype', `mime-entity-parameters' and
	`mime-entity-type/subtype' from mime-parse.el to mime-def.el.

	* mime-parse.el, mime-def.el: Move `mime-content-disposition'
	reference functions from mime-parse.el to mime-def.el.

	* mime-parse.el, mime-def.el: Move structure `mime-content-type'
	from mime-parse.el to mime-def.el.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-internal-decode-string): Renamed from
	`base64-decode-string'.
	(base64-decode-string): New alias for
	`base64-internal-decode-string'.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-b.el (base64-decode-unit): New function; abolish
	`base64-decode-1'.
	(base64-decode-string): New implementation.
	(base64-internal-decode-region): New implementation.

1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el (mime-message-structure): New variable.
	(mime-parse-buffer): New function.

1998-06-19  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* mime-def.el: Require 'cl when it is compiled.

	* mime-lib.el (mime-entity-read-field): Fix typo.
	Use `eword-decode-ignored-field-list'.

	* mime-parse.el (mime-parse-multipart): Fix typo.
	(mime-parse-message): Parse message/external-body.


1998-06-19  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.4.1 (Momoyama-Gory-Dòmae) was released.-A

1998-06-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (mime-insert-decoded-header): Fix typo.


1998-06-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.4.0 (Kintetsu-Tanbabashi) was released.

1998-06-18  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* README.en (What's FLIM): Add description about mime-lib.el and
	mime-parse.el.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-parse.el: Require 'cl when it is compiled.

	* eword-decode.el (eword-visible-field-p): New function.
	(mime-insert-decoded-header): Use `eword-visible-field-p'.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mime-library-version-string): Renamed from
	`mime-spadework-module-version-string'.

	* mime-parse.el: New file; moved from SEMI layer.

	* FLIM-ELS (flim-modules): Add `mime-parse'.

1998-06-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS (flim-modules): Add `mime-lib'.

	* mime-lib.el: New module.

	* mime-def.el (mime-entity): Add new slots for original-header and
	parsed-header.
	(mime-entity-set-original-header): New function.
	(mime-entity-set-parsed-header): New function.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mime-entity-number): New function (moved from SEMI
	layer).

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el: Move definition of structure `mime-entity' from
	SEMI layer.

1998-06-16  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-ignored-field-list): Capitalize
	default value.
	(eword-decode-structured-field-list): Capitalize default value.
	(eword-decode-header): Regularize field name by `capitalize'.
	(mime-insert-decoded-header): New function.

1998-06-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-file): Use `defcustom'.


1998-06-01  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.3.0 (Fushimi) was released.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11.el (std11-fetch-field): New function.
	(std11-field-body): Use 'std11-fetch-field.

1998-05-28  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (regexp-*): New function (moved from mime-parse.el
	of SEMI (REMI)).
	(regexp-or): New function (moved from mime-parse.el of
	SEMI (REMI)).

	(std11-quoted-pair-regexp): New constant (moved from mime-parse.el
	of SEMI (REMI)).
	(std11-non-qtext-char-list): New constant (copied from std11.el).
	(std11-qtext-regexp): New constant (moved from mime-parse.el of
	SEMI (REMI)).
	(std11-quoted-string-regexp): New constant (moved from
	mime-parse.el of SEMI (REMI)).


1998-05-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.2.2 (Takeda) was released.

	* FLIM-VERSION: New file.

1998-05-15  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-q.el (quoted-printable-internal-encode-region): Use
	'looking-at-as-unibyte instead of local binding for
	enable-multibyte-characters.


1998-05-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.2.1 (Kamitobaguchi) was released.

1998-05-09  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel-q.el (quoted-printable-internal-decode-region): Use
	'string-as-multibyte to avoid problem in Emacs 20.3.

1998-05-08  Katsumi Yamaoka   <yamaoka@jpl.org>

	* mel-u.el: Use mime-temp-directory instead of TMP.


1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.2.0 (J-Dþjò) was released.-A

	* README.en (What's FLIM): Delete description about
 	std11-parse.el; add description about mailcap.el.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-decode.el (eword-decode-encoded-word-error-handler): New
	variable.
	(eword-decode-encoded-word-default-error-handler): New function.
	(eword-decode-encoded-word): Use
	'eword-decode-encoded-word-error-handler.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el: Require 'mime-def.

	* mime-def.el (mime-type/subtype-string): New function (moved from
	semi/mime-parse.el).

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* std11-parse.el: Abolish std11-parse.el.

	* FLIM-ELS (flim-modules): Abolish 'std11-parse.

	* eword-decode.el: Require 'std11 instead of 'std11-parse.

	* std11.el: Merge std11-parse.el.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (mime-temp-directory): Use 'defcustom.

	* mel-u.el: Require 'mime-def instead of 'mel.

	* mime-def.el (mime-temp-directory): New variable (moved from
	mel.el).

	* mel.el: Move definition of 'mime-temp-directory to mime-def.el.

1998-05-06  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-format-command): New function.

	* mailcap.el (mailcap-look-at-mtext): Don't strip quoted character
	again.


1998-05-05  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.1.0 (T-Dòji) was released.-A

1998-05-04  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mime-def.el (quoted-printable-hex-chars): New constant.
	(quoted-printable-octet-regexp): New constant.

	* mel-q.el, eword-decode.el: Move definition of constant
	'quoted-printable-hex-chars and 'quoted-printable-octet-regexp to
	mime-def.el.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-look-at-mtext): Strip quoted character.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mailcap.el (mailcap-look-at-mtext): Fix typo.

1998-05-03  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-ELS (flim-modules): Add mailcap.

	* mailcap.el: New file (copied from SEMI).

1998-04-23  Shuhei KOBAYASHI  <shuhei-k@jaist.ac.jp>

	* eword-decode.el (eword-decode-ignored-field-list): Add
	`received'.

	* mel.el (mime-temp-directory): Use TMPDIR, TMP, or TEMP
	environment variables.


1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.0.1 (Ky-Dòto) was released.-A

	* mime-def.el (mime-spadework-module-version-string): New
 	constant.

	* eword-encode.el: Abolish constant 'eword-encode-version.

	* eword-decode.el: Abolish constant 'eword-decode-version.

1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* eword-encode.el (eword-encode-divide-into-charset-words): Use
	'char-length or 'char-next-index instead of 'char-bytes.
	(tm-eword::encode-string-1): Use 'char-next-index instead of
	'char-bytes.

1998-04-17  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* mel.el (base64-dl-module): Must check base64.so actually exists.


1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM: Version 1.0.0 was released.

	* README.en: Modify for FLIM.

	* ChangeLog: New file.

1998-04-13  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* FLIM-CFG, FLIM-ELS, FLIM-MK: New files.

	* Makefile: Modify for FLIM.

1998-04-10  MORIOKA Tomohiko  <morioka@jaist.ac.jp>

	* Makefile: New file.

	* mime-def.el, std11-parse.el, std11.el, eword-decode.el,
 	eword-encode.el: Copied from MEL, SEMI (mime-def.el
 	eword-decode.el eword-encode.el) and APEL (std11-parse.el
 	std11.el).
